Index: trunk/SRC/Documentation/idldoc_html_output/Documentation/xmldoc/idldoc_html_2351.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Documentation/xmldoc/idldoc_html_2351.html	(revision 138)
+++ trunk/SRC/Documentation/idldoc_html_output/Documentation/xmldoc/idldoc_html_2351.html	(revision 168)
@@ -1,157 +1,0 @@
-
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
- "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-
-<!-- Generated by IDLdoc 2.0 -->
-
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-  <head>
-    <title>idldoc_html_2351.pro (IDLdoc API documentation)</title>
-
-    
-    <link rel="stylesheet" type="text/css" media="all" href="./../../main_files.css" />
-    <link rel="stylesheet" type="text/css" media="print" href="./../../main_files_print.css" />
-    
-
-    <script type="text/javascript">
-      function setTitle() {
-        parent.document.title="idldoc_html_2351.pro (IDLdoc API documentation)";
-      }
-    </script>
-  </head>
-
-  <body onload="setTitle();">
-
-    <div id="navbar_title">
-  <h1>IDLdoc API documentation</h1>
-</div>
-
-
-<div id="main_navbar">
-
-  <table cellspacing="0">
-    <tr>
-      
-      <td><a href="./../../overview.html?format=raw" title="Overview of library">Overview</a></td>
-      
-
-      
-      <td >Directory</td>
-      
-
-      
-      <td><a href="./../../idldoc-categories.html?format=raw" title="Browse library by category">Categories</a></td>
-      
-
-      
-      <td><a href="./../../idldoc-index.html?format=raw" title="Index of files, routines, and parameters">Index</a></td>
-      
-
-      
-      <td><a href="./../../search-page.html?format=raw" title="Search library">Search</a></td>
-      
-
-      <td id="selected">File</td>
-
-      
-      <td >Source</td>
-      
-
-      
-      <td><a href="./../../idldoc-help.html?format=raw" title="Help on IDLdoc">Help</a></td>
-      
-
-      <td >Etc</td>
-
-      <td id="flexible">Developer&nbsp;documentation</td>
-    </tr>
-  </table>
-
-</div>
-
-<div id="secondary_navbar">
-
-&lt;&lt; prev file | next file &gt;&gt;&nbsp;&nbsp;&nbsp;&nbsp;<a href="idldoc_html_2351.html?format=raw" target="_TOP">view single page</a> | <a href="./../../index.html?format=raw" target="_TOP">view frames</a>&nbsp;&nbsp;&nbsp;&nbsp;summary: fields | routine&nbsp;&nbsp;&nbsp;&nbsp;details: <a href="#routine_details">routine</a>
-
-</div>
-
-
-    <div id="container">
-
-      <h1 class="directory"><a href="directory-overview.html?format=raw">Documentation/xmldoc/</a></h1>
-      <h2 class="pro_file">idldoc_html_2351.pro</h2>
-
-      <div id="file_attr">
-	<dl>
-	</dl>
-      </div>
-
-      <div id="file_comments"></div>
-
-      
-
-      
-
-      
-
-      
-
-      <div id="routine_details">
-	
-
-	<div class="routine_details" id="_          -1">
-
-	  <h2><a class="top" href="#container">top</a>          -1 <span class="warning">obsolete</span> <span class="warning">abstract</span> <span class="warning">private</span> <span class="categories">          -1</span></h2>
-	
-	  <p class="header">
-	    <span class="result">result = </span>          -1()</p>
-	
-	  <div class="comments preformat">          -1</div>
-
-	  <h3>Return value</h3><div class="preformat">          -1</div>
-
-	  
-
-	  
-
-	  <h3>Examples</h3><div class="preformat">          -1</div>
-	  <h3>Version history</h3>
-	  <h4>Author</h4><div class="preformat">          -1</div>
-	  <h4>Version</h4><div class="preformat">2.0</div>
-	  <h4>History</h4><div class="preformat">          -1</div>
-	  <h4>Copyright</h4><div class="preformat">          -1</div>
-	  <h4>Customer ID</h4><div class="preformat">          -1</div>
-	  <h3>Known issues</h3>
-	  <h4>Obsolete</h4><div class="preformat">          -1</div>
-	  <h4>Known bugs</h4><div class="preformat">          -1</div>
-	  <h4>Todo items</h4><div class="preformat">          -1</div>
-	  <h4>Restrictions</h4><div class="preformat">          -1</div>
-	
-	  <h3>Other attributes</h3>
-	  <h4>Inherits classes</h4><div class="preformat">          -1</div>
-	  <h4>Requires IDL version</h4><div class="preformat">          -1</div>
-	  <h4>Uses routines</h4><div class="preformat">          -1</div>
-	  <h4>Pre-condition</h4><div class="preformat">          -1</div>
-	  <h4>Post-condition</h4><div class="preformat">          -1</div>
-	  <h4>Common blocks used</h4><div class="preformat">          -1</div>
-	
-	  <h3>Statistics</h3>
-	  <table class="statistics">
-	    <tr><td>McCabe cyclic</td><td>          -1</td></tr>
-	    <tr><td>McCabe essential</td><td>          -1</td></tr>
-	    <tr><td>McCabe modular design</td><td>          -1</td></tr>
-	  </table>
-	  
-	
-	</div>
-	
-      </div>
-
-      
-
-      <div id="tagline">Produced by IDLdoc 2.0.</div>
-
-    </div>
-
-  </body>
-</html>