Index: trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/GRILLE/directory-overview.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/GRILLE/directory-overview.html	(revision 168)
+++ trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/GRILLE/directory-overview.html	(revision 189)
@@ -646,5 +646,5 @@
     <tr>
       
-      <td><a href="../../overview.html?format=raw" title="Overview of library">Overview</a></td>
+      <td><a href="../../overview.html" title="Overview of library">Overview</a></td>
       
 
@@ -654,13 +654,13 @@
 
       
-      <td><a href="../../idldoc-categories.html?format=raw" title="Browse library by category">Categories</a></td>
-      
-
-      
-      <td><a href="../../idldoc-index.html?format=raw" title="Index of files, routines, and parameters">Index</a></td>
-      
-
-      
-      <td><a href="../../search-page.html?format=raw" title="Search library">Search</a></td>
+      <td><a href="../../idldoc-categories.html" title="Browse library by category">Categories</a></td>
+      
+
+      
+      <td><a href="../../idldoc-index.html" title="Index of files, routines, and parameters">Index</a></td>
+      
+
+      
+      <td><a href="../../search-page.html" title="Search library">Search</a></td>
       
 
@@ -668,9 +668,9 @@
 
       
-      <td><a href="../../../../ToBeReviewed/GRILLE//directory-overview.pro?format=raw" title="Source code of a file">Source</a></td>
-      
-
-      
-      <td><a href="../../idldoc-help.html?format=raw" title="Help on IDLdoc">Help</a></td>
+      <td><a href="../../../../ToBeReviewed/GRILLE//directory-overview.pro" title="Source code of a file">Source</a></td>
+      
+
+      
+      <td><a href="../../idldoc-help.html" title="Help on IDLdoc">Help</a></td>
       
 
@@ -685,5 +685,5 @@
 <div id="secondary_navbar">
 
-&lt;&lt; prev file | next file &gt;&gt;&nbsp;&nbsp;&nbsp;&nbsp;<a href="./directory-overview.html?format=raw" target="_TOP">view single page</a> | <a href="../../index.html?format=raw" target="_TOP">view frames</a>&nbsp;&nbsp;&nbsp;&nbsp;summary: fields | routine&nbsp;&nbsp;&nbsp;&nbsp;details: routine
+&lt;&lt; prev file | next file &gt;&gt;&nbsp;&nbsp;&nbsp;&nbsp;<a href="./directory-overview.html" target="_TOP">view single page</a> | <a href="../../index.html" target="_TOP">view frames</a>&nbsp;&nbsp;&nbsp;&nbsp;summary: fields | routine&nbsp;&nbsp;&nbsp;&nbsp;details: routine
 
 </div>
@@ -701,41 +701,41 @@
       <dl>
       
-	<dt><a href="changegrid.html?format=raw">changegrid.pro</a></dt>
+	<dt><a href="changegrid.html">changegrid.pro</a></dt>
 	<dd>  </dd>
       
-	<dt><a href="cmpgrid.html?format=raw">cmpgrid.pro</a></dt>
+	<dt><a href="cmpgrid.html">cmpgrid.pro</a></dt>
 	<dd>  </dd>
       
-	<dt><a href="decoupeterre.html?format=raw">decoupeterre.pro</a></dt>
+	<dt><a href="decoupeterre.html">decoupeterre.pro</a></dt>
 	<dd>  Similar to grille.</dd>
       
-	<dt><a href="domdef.html?format=raw">domdef.pro</a></dt>
+	<dt><a href="domdef.html">domdef.pro</a></dt>
 	<dd>   Allows to extract a sub-domain of study by providing parameters   needed for drawings (see outputs) </dd>
       
-	<dt><a href="f2v.html?format=raw">f2v.pro</a></dt>
+	<dt><a href="f2v.html">f2v.pro</a></dt>
 	<dd>  Allows to pass a field referring to the grid F on the grid V,   thanks to the average:   res = 0.</dd>
       
-	<dt><a href="fmask.html?format=raw">fmask.pro</a></dt>
+	<dt><a href="fmask.html">fmask.pro</a></dt>
 	<dd>  calculate fmask.</dd>
       
-	<dt><a href="grille.html?format=raw">grille.pro</a></dt>
+	<dt><a href="grille.html">grille.pro</a></dt>
 	<dd>  Choose the grid which must be used to do the graph in function of  vargrid and send back corresponding parameters calculated in  domdef.</dd>
       
-	<dt><a href="t2v.html?format=raw">t2v.pro</a></dt>
+	<dt><a href="t2v.html">t2v.pro</a></dt>
 	<dd>  Allows to pass a field referring to the grid T on the grid V,   thanks to the average res = 0.</dd>
       
-	<dt><a href="tracegrille.html?format=raw">tracegrille.pro</a></dt>
+	<dt><a href="tracegrille.html">tracegrille.pro</a></dt>
 	<dd>  Draw the grid </dd>
       
-	<dt><a href="u2t.html?format=raw">u2t.pro</a></dt>
+	<dt><a href="u2t.html">u2t.pro</a></dt>
 	<dd>  Allows to pass a field referring to the grid U on the grid T,   thanks to the average:   res = 0.</dd>
       
-	<dt><a href="umask.html?format=raw">umask.pro</a></dt>
+	<dt><a href="umask.html">umask.pro</a></dt>
 	<dd>  calculate umask.</dd>
       
-	<dt><a href="v2t.html?format=raw">v2t.pro</a></dt>
+	<dt><a href="v2t.html">v2t.pro</a></dt>
 	<dd>  Allows to pass a field referring to the grid V on the grid T,   thanks to the average:   res = 0.</dd>
       
-	<dt><a href="vmask.html?format=raw">vmask.pro</a></dt>
+	<dt><a href="vmask.html">vmask.pro</a></dt>
 	<dd>  calculate fmask.</dd>
       