Index: trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.html	(revision 200)
+++ trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.html	(revision 234)
@@ -94,5 +94,4 @@
 
 
-
 </div>
 
@@ -110,11 +109,11 @@
 	  
 	  <dt><p><a href="#_cw_slide_slice_set_value">cw_slide_slice_set_value<span class="result">, id, value</span></a></p><dt>
-	  <dd></dd>	
+	  <dd> </dd>	
 	  
 	  <dt><p><a href="#_cw_slide_slice_event"><span class="result">result = </span>cw_slide_slice_event(<span class="result">event</span>)</a></p><dt>
-	  <dd></dd>	
-	  
-	  <dt><p><a href="#_cw_slide_slice"><span class="result">result = </span>cw_slide_slice(<span class="result">parent</span>, boxzoom=<span class="result">boxzoom</span>, UVALUE=<span class="result">UVALUE</span>, UNAME=<span class="result">UNAME</span>, FRAME=<span class="result">FRAME</span>, ROW=<span class="result">ROW</span>, COLUMN=<span class="result">COLUMN</span>, _extra=<span class="result">_extra</span>)</a></p><dt>
-	  <dd></dd>	
+	  <dd> </dd>	
+	  
+	  <dt><p><a href="#_cw_slide_slice"><span class="result">result = </span>cw_slide_slice(<span class="result">parent</span>, boxzoom=<span class="result">boxzoom</span>, UVALUE=<span class="result">UVALUE</span>, UNAME=<span class="result">UNAME</span>, FRAME=<span class="result">FRAME</span>, ROW=<span class="result">ROW</span>, COLUMN=<span class="result">COLUMN</span>, _EXTRA=<span class="result">_EXTRA</span>)</a></p><dt>
+	  <dd> </dd>	
 	  	
 	</dl>
@@ -129,14 +128,14 @@
 	  <h2><a class="top" href="#container">top</a>cw_slide_slice_set_value <span class="categories">
  Compound widget
- </span></h2>
+</span></h2>
 	
 	  <p class="header">
 	    cw_slide_slice_set_value<span class="result">, <a href="#_cw_slide_slice_set_value_param_id">id</a>, <a href="#_cw_slide_slice_set_value_param_value">value</a></span></p>
 	
-	  <div class="comments"></div>
+	  <div class="comments">
+</div>
 
 	  <h3>Return value</h3><div class="preformat">
- 
- </div>
+</div>
 
 	  
@@ -156,5 +155,4 @@
 	
 	  <div class="comments">
-
 </div>
 	    
@@ -180,13 +178,11 @@
 
 	  <h3>Examples</h3><div class="preformat">
- 
- </div>
+</div>
 	  <h3>Version history</h3>
 	  
-	  <h4>Version</h4><div class="preformat"> 
- $Id: cw_slide_slice.pro 157 2006-08-21 09:01:50Z navarro $</div>
+	  <h4>Version</h4><div class="preformat">
+ $Id: cw_slide_slice.pro 232 2007-03-20 16:59:36Z pinsard $</div>
 	  <h4>History</h4><div class="preformat">
- 
- </div>
+</div>
 	  
 	  
@@ -196,6 +192,5 @@
 	  
 	  <h4>Restrictions</h4><div class="preformat">
- 
- </div>
+</div>
 	
 	  <h3>Other attributes</h3>
@@ -203,6 +198,5 @@
 	  
 	  <h4>Uses routines</h4><div class="preformat">
- 
- </div>
+</div>
 	  
 	  
@@ -224,14 +218,14 @@
 	  <h2><a class="top" href="#container">top</a>cw_slide_slice_event <span class="categories">
  Compound widget
- </span></h2>
+</span></h2>
 	
 	  <p class="header">
 	    <span class="result">result = </span>cw_slide_slice_event(<span class="result"><a href="#_cw_slide_slice_event_param_event">event</a></span>)</p>
 	
-	  <div class="comments"></div>
+	  <div class="comments">
+</div>
 
 	  <h3>Return value</h3><div class="preformat">
- 
- </div>
+</div>
 
 	  
@@ -251,5 +245,4 @@
 	
 	  <div class="comments">
-
 </div>
 	    
@@ -260,13 +253,11 @@
 
 	  <h3>Examples</h3><div class="preformat">
- 
- </div>
+</div>
 	  <h3>Version history</h3>
 	  
-	  <h4>Version</h4><div class="preformat"> 
- $Id: cw_slide_slice.pro 157 2006-08-21 09:01:50Z navarro $</div>
+	  <h4>Version</h4><div class="preformat">
+ $Id: cw_slide_slice.pro 232 2007-03-20 16:59:36Z pinsard $</div>
 	  <h4>History</h4><div class="preformat">
- 
- </div>
+</div>
 	  
 	  
@@ -276,6 +267,5 @@
 	  
 	  <h4>Restrictions</h4><div class="preformat">
- 
- </div>
+</div>
 	
 	  <h3>Other attributes</h3>
@@ -283,6 +273,5 @@
 	  
 	  <h4>Uses routines</h4><div class="preformat">
- 
- </div>
+</div>
 	  
 	  
@@ -307,11 +296,11 @@
 	
 	  <p class="header">
-	    <span class="result">result = </span>cw_slide_slice(<span class="result"><a href="#_cw_slide_slice_param_parent">parent</a></span>, <a href="#_cw_slide_slice_keyword_boxzoom">boxzoom</a>=<span class="result">boxzoom</span>, <a href="#_cw_slide_slice_keyword_UVALUE">UVALUE</a>=<span class="result">UVALUE</span>, <a href="#_cw_slide_slice_keyword_UNAME">UNAME</a>=<span class="result">UNAME</span>, <a href="#_cw_slide_slice_keyword_FRAME">FRAME</a>=<span class="result">FRAME</span>, <a href="#_cw_slide_slice_keyword_ROW">ROW</a>=<span class="result">ROW</span>, <a href="#_cw_slide_slice_keyword_COLUMN">COLUMN</a>=<span class="result">COLUMN</span>, <a href="#_cw_slide_slice_keyword__extra">_extra</a>=<span class="result">_extra</span>)</p>
-	
-	  <div class="comments"></div>
+	    <span class="result">result = </span>cw_slide_slice(<span class="result"><a href="#_cw_slide_slice_param_parent">parent</a></span>, <a href="#_cw_slide_slice_keyword_boxzoom">boxzoom</a>=<span class="result">boxzoom</span>, <a href="#_cw_slide_slice_keyword_UVALUE">UVALUE</a>=<span class="result">UVALUE</span>, <a href="#_cw_slide_slice_keyword_UNAME">UNAME</a>=<span class="result">UNAME</span>, <a href="#_cw_slide_slice_keyword_FRAME">FRAME</a>=<span class="result">FRAME</span>, <a href="#_cw_slide_slice_keyword_ROW">ROW</a>=<span class="result">ROW</span>, <a href="#_cw_slide_slice_keyword_COLUMN">COLUMN</a>=<span class="result">COLUMN</span>, <a href="#_cw_slide_slice_keyword__EXTRA">_EXTRA</a>=<span class="result">_EXTRA</span>)</p>
+	
+	  <div class="comments">
+</div>
 
 	  <h3>Return value</h3><div class="preformat">
- 
- </div>
+</div>
 
 	  
@@ -353,11 +342,11 @@
 	
 	    <div class="comments">
- Vector indicating the geographic zone on which we want to cut the map. 
- If BOXZOOM has : 
+ Vector indicating the geographic zone on which we want to cut the map.
+ If BOXZOOM has :
    1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
    2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
    4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
    5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
-   6 elements: The extraction is made on Boxzoom 
+   6 elements: The extraction is made on Boxzoom
  Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
 </div>
@@ -376,5 +365,5 @@
 	    <div class="comments">
  The user value to be associated with the widget.
- </div>
+</div>
 	    
 	    <h4 id="_cw_slide_slice_keyword_UNAME">UNAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -391,5 +380,5 @@
 	    <div class="comments">
  The user name to be associated with the widget.
- </div>
+</div>
 	    
 	    <h4 id="_cw_slide_slice_keyword_FRAME">FRAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -406,5 +395,5 @@
 	    <div class="comments">
  Specifies the width of the frame to be drawn around the base.
- </div>
+</div>
 	    
 	    <h4 id="_cw_slide_slice_keyword_ROW">ROW&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -422,5 +411,5 @@
  Buttons will be arranged in the number of rows
  specified by this keyword.
- </div>
+</div>
 	    
 	    <h4 id="_cw_slide_slice_keyword_COLUMN">COLUMN&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -438,34 +427,32 @@
  Buttons will be arranged in the number of columns
  specified by this keyword.
- </div>
-	    
-	    <h4 id="_cw_slide_slice_keyword__extra">_extra&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments">
- Used to pass your keywords
- </div>
+</div>
+	    
+	    <h4 id="_cw_slide_slice_keyword__EXTRA">_EXTRA&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments">
+ Used to pass keywords
+</div>
 	    
 	  
 
 	  <h3>Examples</h3><div class="preformat">
- 
- </div>
+</div>
 	  <h3>Version history</h3>
 	  
-	  <h4>Version</h4><div class="preformat"> 
- $Id: cw_slide_slice.pro 157 2006-08-21 09:01:50Z navarro $
- </div>
+	  <h4>Version</h4><div class="preformat">
+ $Id: cw_slide_slice.pro 232 2007-03-20 16:59:36Z pinsard $
+</div>
 	  <h4>History</h4><div class="preformat">
- 
- </div>
+</div>
 	  
 	  
@@ -477,6 +464,5 @@
 </div>
 	  <h4>Restrictions</h4><div class="preformat">
- 
- </div>
+</div>
 	
 	  <h3>Other attributes</h3>
@@ -484,6 +470,5 @@
 	  
 	  <h4>Uses routines</h4><div class="preformat">
- 
- </div>
+</div>
 	  
 	  