Index: trunk/SRC/Documentation/xmldoc/mini_notice.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/mini_notice.xml	(revision 234)
+++ trunk/SRC/Documentation/xmldoc/mini_notice.xml	(revision 235)
@@ -297,5 +297,5 @@
 
 <sect2 id="menutxt"><title>The menu bar made up of 3 sub-menus</title>
-<sect3 id="filesubmenu"><title><guisubmenu>File</guisubmenu> sub-menu</title>
+<sect3 id="filesubmenu"><title><guibutton>File</guibutton> sub-menu</title>
 <para>
     <figure id="fig_xxx_0203">
@@ -308,13 +308,13 @@
 <para>
 <itemizedlist>
-<listitem><para><menuchoice><guibutton>Open:</guibutton></menuchoice> to open a new file. Same procedure as during the <link linkend="launch_xxx_1">launch of XXX</link>.
+<listitem><para><menuchoice><guisubmenu>Open:</guisubmenu></menuchoice> to open a new file. Same procedure as during the <link linkend="launch_xxx_1">launch of XXX</link>.
 The new file can be on a different grid, with different variables, with a different time base &hellip;
 </para></listitem>
-<listitem><para><menuchoice><guibutton>New XXX:</guibutton></menuchoice> to open a second XXX window identical to the first one.</para></listitem>
-<listitem><para><menuchoice><guibutton>Quit:</guibutton></menuchoice> to close the XXX window.</para></listitem>
+<listitem><para><menuchoice><guisubmenu>New XXX:</guisubmenu></menuchoice> to open a second XXX window identical to the first one.</para></listitem>
+<listitem><para><menuchoice><guisubmenu>Quit:</guisubmenu></menuchoice> to close the XXX window.</para></listitem>
 </itemizedlist>
 </para>
 </sect3>
-<sect3 id="saveassubmenu"><title><guisubmenu>Save As</guisubmenu> sub-menu</title>
+<sect3 id="saveassubmenu"><title><guibutton>Save As</guibutton> sub-menu</title>
 <para>
     <figure id="fig_xxx_0204">
@@ -327,11 +327,11 @@
 <para>
 <itemizedlist>
-<listitem><para><menuchoice><guibutton>Postscript:</guibutton></menuchoice> to save the plotting window in Postscript format</para></listitem>
-<listitem><para><menuchoice><guibutton>Animated gif:</guibutton></menuchoice> to create an animation of the plotting window.
+<listitem><para><menuchoice><guisubmenu>Postscript:</guisubmenu></menuchoice> to save the plotting window in Postscript format</para></listitem>
+<listitem><para><menuchoice><guisubmenu>Animated gif:</guisubmenu></menuchoice> to create an animation of the plotting window.
 <note><para>The creation of an animation is only possible if none of the plots have a time axis, and if the plots are all on the same time base (calendar). On the other hand, animations of horizontal and vertical plots, with different color palettes (for those not on an X-terminal), are possible.</para></note>
 <note><para>The creation of animations has a tendency to saturate the video memory of X-terminals, crashing the entire program &hellip;</para></note>
 </para></listitem>
-<listitem><para><menuchoice><guibutton>Gif:</guibutton></menuchoice> to save a gif of the plotting window.</para></listitem>
-<listitem><para><menuchoice><guibutton>IDL procedure:</guibutton></menuchoice> to save the command history that has created the plot in an IDL procedure that can be re-executed later. For example if I save the commands in <filename>xxx_figure.pro</filename> file, when ever I want, I can then launch a new IDL session and type:
+<listitem><para><menuchoice><guisubmenu>Gif:</guisubmenu></menuchoice> to save a gif of the plotting window.</para></listitem>
+<listitem><para><menuchoice><guisubmenu>IDL procedure:</guisubmenu></menuchoice> to save the command history that has created the plot in an IDL procedure that can be re-executed later. For example if I save the commands in <filename>xxx_figure.pro</filename> file, when ever I want, I can then launch a new IDL session and type:
   <screen format="linespecific">
 <prompt>&promptidl;</prompt> <userinput>@init</userinput>
@@ -348,6 +348,6 @@
 will then create a Postscript file of the figure.
 </para></listitem>
-<listitem><para id='restore'><menuchoice><guibutton>RESTORE kwd of xxx:</guibutton></menuchoice> to save the xxx widget (all buttons and parameters stored in memory &hellip;) in a binary file in order to quit xxx and relaunch it later with <link linkend="launch_xxx_3"><prompt>&promptidl;</prompt> <userinput><command>xxx</command>, <parameter>restore = 'file.dat'</parameter></userinput></link> and get exactly the same configuration.</para></listitem>
-<listitem><para><menuchoice><guibutton>Print to prompt:</guibutton></menuchoice> lists in the IDL window the command history that created the last plot. Useful primarily for debugging&hellip;</para></listitem>
+<listitem><para id='restore'><menuchoice><guisubmenu>RESTORE kwd of xxx:</guisubmenu></menuchoice> to save the xxx widget (all buttons and parameters stored in memory &hellip;) in a binary file in order to quit xxx and relaunch it later with <link linkend="launch_xxx_3"><prompt>&promptidl;</prompt> <userinput><command>xxx</command>, <parameter>restore = 'file.dat'</parameter></userinput></link> and get exactly the same configuration.</para></listitem>
+<listitem><para><menuchoice><guisubmenu>Print to prompt:</guisubmenu></menuchoice> lists in the IDL window the command history that created the last plot. Useful primarily for debugging&hellip;</para></listitem>
 </itemizedlist>
 </para>
@@ -364,12 +364,12 @@
 <para>
 <itemizedlist>
-<listitem><para><guibutton>Portrait/Landscape:</guibutton> changes the configuration of the plot.</para></listitem>
-<listitem><para><guibutton>Overlay:</guibutton> to plot contours of a different field on top the
+<listitem><para><guisubmenu>Portrait/Landscape:</guisubmenu> changes the configuration of the plot.</para></listitem>
+<listitem><para><guisubmenu>Overlay:</guisubmenu> to plot contours of a different field on top the
 one represented as color-filled contours. It is necessary to relaunch the entire plot to make this work!</para></listitem>
-<listitem><para><guibutton>Vecteur:</guibutton> to plot a vector field on top of contours. Only
+<listitem><para><guisubmenu>Vecteur:</guisubmenu> to plot a vector field on top of contours. Only
 works on horizontal plots (<filename>plt.pro</filename>).
 As for Overlay, a relaunch of the entire plot is necessary.</para></listitem>
-<listitem><para><guibutton>Longitude / x index:</guibutton> switches longitude labeling of the plot sub-domain from degrees to indexes following i.</para></listitem>
-<listitem><para><guibutton>Latitude / y index:</guibutton> switches latitude labeling of the plot sub-domain from degrees to indexes following j.</para></listitem>
+<listitem><para><guisubmenu>Longitude / x index:</guisubmenu> switches longitude labeling of the plot sub-domain from degrees to indexes following i.</para></listitem>
+<listitem><para><guisubmenu>Latitude / y index:</guisubmenu> switches latitude labeling of the plot sub-domain from degrees to indexes following j.</para></listitem>
 </itemizedlist>
 </para>
@@ -402,5 +402,5 @@
 </sect2>
 
-<sect2 id="variableslisttxt"><title><guimenuitem>List of variables</guimenuitem></title>
+<sect2 id="variableslisttxt"><title><guibutton>List of variables</guibutton></title>
 <para>You can choose the variable to work on.</para>
 <para>
@@ -414,5 +414,5 @@
 </sect2>
 
-<sect2 id="fileslisttxt"><title><guimenuitem>List of open files</guimenuitem></title>
+<sect2 id="fileslisttxt"><title><guibutton>List of open files</guibutton></title>
 <para>You can choose the file to work on.</para>
 <para>
@@ -426,15 +426,15 @@
 </sect2>
 
-<sect2 id="commandtexttxt"><title><guimenuitem>Command text</guimenuitem></title>
+<sect2 id="commandtexttxt"><title><guimenuitem>Command text</guimenuitem><!--++ textarea--></title>
 <para>
 To specify in the widget part number 7 the computation you want to do on the data
 <note><para>In all cases bellow, the name given to a field (a, b, c, &hellip;) is of no importance.</para></note>
 </para>
-<sect3 id="commandtext1"><title><guimenuitem>Linear calculation</guimenuitem></title>
+<sect3 id="commandtext1"><title>Linear calculation</title>
 <para>
 If you want to make basic linear computation (like difference between fields, add/multiply by a constant &hellip;). you can simply put the following commands: <screen format="linespecific">a - b</screen><screen format="linespecific">numb1*a</screen><screen format="linespecific">a + numb</screen> or any command with the following format <screen format="linespecific">numb1*a + numb2*b  + numb3*c &hellip; + numb</screen> where numb1, numb2, &hellip; correspond to numbers and a, b, c &hellip; will be the data to read.
 </para>
 </sect3>
-<sect3 id="commandtext1"><title><guimenuitem>Any kind of computation</guimenuitem></title>
+<sect3 id="commandtext1"><title>Any kind of computation</title>
 <para>
 If you want to make a computation more complicated than a basic linear you must put designate the data you want to read between <keycap>"</keycap><keycap>"</keycap> (with anything in between the "). For example: <screen format="linespecific">"a"^2</screen><screen format="linespecific">"a" - abs("b")</screen><screen format="linespecific">grad("a", 'x')</screen> &hellip;
@@ -495,5 +495,5 @@
 <sect2 id="specificationstxt"><title>Specify your plot</title>
 
-<sect3 id="minmaxintervaltxt"><title><guimenuitem>Specify min, max and contour interval</guimenuitem></title>
+<sect3 id="minmaxintervaltxt"><title>Specify min, max and contour interval</title>
 <para>
   <figure id="fig_xxx_0501">
@@ -508,5 +508,5 @@
 </sect3>
 
-<sect3 id="colortxt"><title><guimenuitem>Specify the palette to be used</guimenuitem></title>
+<sect3 id="colortxt"><title>Specify the palette to be used</title>
 <para>For the color palette, you can either specify the name or go search for one among the palettes available.</para>
 <para>
@@ -520,5 +520,5 @@
 </sect3>
 
-<sect3 id="kwdtxt"><title><guimenuitem>Add any keyword</guimenuitem></title>
+<sect3 id="kwdtxt"><title>Add any keyword</title>
 <para>
   The <quote>keywords</quote> window allows specification of all desired keywords. There is a few examples of the use of this <quote>keywords</quote> window.
@@ -868,5 +868,5 @@
 <listitem><para>change the orientation of the plot by pressing Flag options -> Portrait/Landscape. Cf <xref linkend="flagsubmenu"/>
 </para></listitem>
-<listitem><para>quit XXX cleanly using <guibutton>quit</guibutton> from the <guimenu>File</guimenu> menu. Cf <xref linkend="filesubmenu"/>
+<listitem><para>quit XXX cleanly using <guisubmenu>quit</guisubmenu> from the <guibutton>File</guibutton> menu. Cf <xref linkend="filesubmenu"/>
 </para></listitem>
 </orderedlist>
@@ -875,5 +875,5 @@
 <para>
 Always avoid if at all possible closing and killing the XXX
-window, but rather select <guibutton>quit</guibutton> from the <guimenu>File</guimenu> menu.
+window, but rather select <guisubmenu>quit</guisubmenu> from the <guibutton>File</guibutton> menu.
 XXX uses a large number of pointers, and want only killing the window will
 leave a large number of unused variables in memory, which could in the end
Index: trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 234)
+++ trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 235)
@@ -96,9 +96,9 @@
 set -u
 #
-docompileall=0
+docompileall=1
 dohtml=0
 dooldtest=0
 doidlwavedoc=0
-doidldoc=1
+doidldoc=0
 doTARsrc=0
 doTARdata=0