Index: trunk/SRC/Utilities/createfunc.pro
===================================================================
--- trunk/SRC/Utilities/createfunc.pro	(revision 239)
+++ trunk/SRC/Utilities/createfunc.pro	(revision 242)
@@ -5,6 +5,6 @@
 ; useful to avoid the use of execute
 ;
-; @param command {in}{required} 
-; a scalar string defining the result to be given back by the function. 
+; @param command {in}{required} {type=scalar string}
+; defining the result to be given back by the function. 
 ; (see examples)
 ;
@@ -12,6 +12,6 @@
 ; name of the function to be created.
 ;
-; @keyword KWDLIST {in} 
-; a vector string. to specify a list of keywords that must be included in the 
+; @keyword KWDLIST {in} {type=vector string} 
+; to specify a list of keywords that must be included in the 
 ; function definition. 
 ; Warning: the string must start with a ',' 
Index: trunk/SRC/Utilities/createpro.pro
===================================================================
--- trunk/SRC/Utilities/createpro.pro	(revision 239)
+++ trunk/SRC/Utilities/createpro.pro	(revision 242)
@@ -5,5 +5,5 @@
 ;
 ; @param command {in}{required}{type=string array}
-; a string array defining the procedure to be created. 
+; array defining the procedure to be created. 
 ; each element will be a line of the created procedure.
 ;
@@ -11,6 +11,5 @@
 ; name of the procedure to be created.
 ;
-; @keyword KWDLIST {in} 
-; a vector string. 
+; @keyword KWDLIST {in} {type=vector string}
 ; to specify a list of keywords that must be included in the procedure 
 ; definition. 
@@ -25,5 +24,5 @@
 ;
 ; @restrictions
-; - is not working with functions, use createfunc instead.
+; - is not working with functions, use <pro>createfunc</pro> instead.
 ; - arguments can be given only through keywords.
 ; - ends the procedure name with '.pro' if needed.
@@ -43,4 +42,5 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Utilities/find.pro
===================================================================
--- trunk/SRC/Utilities/find.pro	(revision 239)
+++ trunk/SRC/Utilities/find.pro	(revision 242)
@@ -7,15 +7,14 @@
 ; By default look for files included in !path
 ;
-; all file_search keywords can be used.
+; all <proidl>file_search</proidl> keywords can be used.
 ;
 ; @categories
 ; find a file
 ;
-; @param FILEIN {in}{required}
-; A scalar or array variable of string type, containing
-; file names to match. Input names specifications may contain
+; @param FILEIN {in}{required} {type=scalar string or array of strings}
+; File name[s] to match. Input names specifications may contain
 ; wildcard characters, enabling them to match multiple files
-; (see file_search for more informations). By default and if
-; necessary, find is looking for filename and also for filename
+; (see <proidl>file_search</proidl> for more informations). By default and if
+; necessary, <pro>find</pro> is looking for filename and also for filename
 ; completed with '.pro'
 ;
@@ -23,7 +22,6 @@
 ; activate this keyword to stop looking for the file as soon as we found one.
 ;
-; @keyword IODIRECTORY {default=['.',!path]}
-; A scalar or array variable of string type, containing
-; directories names where we are looking for the file.
+; @keyword IODIRECTORY {type=scalar string or array of strings} {default=['.',!path]}
+; Directories names where we are looking for the file.
 ; Different directories can be separated by
 ; path_sep(/search_path) (':' on unix type machine) as it is done
@@ -47,9 +45,9 @@
 ; @keyword RECURSIVE
 ; performs recursive searching of directory hierarchies.
-; In a recursive search, find looks recursively for any and all
+; In a recursive search, <pro>find</pro> looks recursively for any and all
 ; subdirectories in the file hierarchy rooted at the IODIRECTORY argument.
 ;
 ; @keyword REPERTOIRE
-; obsolete. keep for compatibility, use directory keyword
+; obsolete. keep for compatibility, use IODIRECTORY keyword
 ;
 ; @keyword UNIQUE
@@ -57,5 +55,6 @@
 ;
 ; @keyword TRYFIND
-; if the file was not found and this keyword is activated, find will call
+; if the file was not found and this keyword is activated, <pro>find</pro> 
+; will call
 ; itself with the keywords /LOOKALLDIR and /FIRSTFOUND to try to find
 ; the file we are looking for. Note that if the file was found at the
@@ -68,9 +67,8 @@
 ; A scalar or array variable of string type, containing the
 ; name (with the full path of the matching files. If no files
-; exist with names matching the input arguments, find returns
+; exist with names matching the input arguments, <pro>find</pro> returns
 ; the scalar string : 'NOT FOUND'
 ;
 ; @examples
-;
 ; IDL> print, find('*loadct')
 ;   /usr/local/rsi/idl_6.0/lib/utilities/xloadct.pro
@@ -106,4 +104,5 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
@@ -112,8 +111,8 @@
                , ONLYNC = onlync, UNIQUE = unique, FIRSTFOUND = firstfound $
                , LOOKALLDIR = LOOKALLDIR, TRYFIND = tryfind, _EXTRA = ex
-; define where we look for the file
 ;
   compile_opt idl2, strictarrsubs
 ;
+; define where we look for the file
   cd, current = current
   current = (file_search(current, /test_directory, /mark_directory))[0]
Index: trunk/SRC/Utilities/isafile.pro
===================================================================
--- trunk/SRC/Utilities/isafile.pro	(revision 239)
+++ trunk/SRC/Utilities/isafile.pro	(revision 242)
@@ -3,5 +3,6 @@
 ; @file_comments
 ; same as <pro>find</pro> except that as long as the file is 'NOT FOUND',
-; isafile calls dialog_pickfile, to ask the user to select a file.
+; <pro>isafile</pro> calls 
+; <proidl>dialog_pickfile</proidl>, to ask the user to select a file.
 ;
 ; @categories
@@ -32,5 +33,5 @@
 ; @keyword RECURSIVE
 ; performs recursive searching of directory hierarchies.
-; In a recursive search, find looks recursively for any and all
+; In a recursive search, <pro>find</pro> looks recursively for any and all
 ; subdirectories in the file hierarchy rooted at the IODIRECTORY argument.
 ;
@@ -44,5 +45,4 @@
 ;
 ; @examples
-;
 ; IDL> print, isafile('/Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro')
 ;  /Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro
Index: trunk/SRC/Utilities/linearequation.pro
===================================================================
--- trunk/SRC/Utilities/linearequation.pro	(revision 239)
+++ trunk/SRC/Utilities/linearequation.pro	(revision 242)
@@ -10,9 +10,9 @@
 ;
 ; @param POINT1 {in}{required}
-; This is the first point of(the) straight line(s) whose we want to calculate
+; This is the first point of (the) straight line(s) whose we want to calculate
 ; equation(s)
 ;
 ; @param POINT2 {in}{required}
-; This is the second point of(the) straight line(s) whose we want to calculate
+; This is the second point of (the) straight line(s) whose we want to calculate
 ; equation(s)
 ;
Index: trunk/SRC/Utilities/lineintersection.pro
===================================================================
--- trunk/SRC/Utilities/lineintersection.pro	(revision 239)
+++ trunk/SRC/Utilities/lineintersection.pro	(revision 242)
@@ -10,10 +10,10 @@
 ; @param ABC1 {in}{required}{type=3d array}
 ; is the first array of dimension 3, number_of_pairs_of_straight_lines,
-; whose each line contain the 3 parameters a,b and c of the first linear
+; whose each line contain the 3 parameters a, b and c of the first linear
 ; equation of the type ax+by+c=0
 ;
 ; @param ABC2 {in}{required}{type=3d array}
 ; is second array of dimension 3, number_of_pairs_of_straight_lines,
-; whose each line contain the 3 parameters a,b and c of the second linear
+; whose each line contain the 3 parameters a, b and c of the second linear
 ; equation of the type ax+by+c=0
 ;
@@ -26,10 +26,10 @@
 ;      1) by default: it is a vector of complex whose each element is the coordinates
 ;                     of the intersection point of a pair of straight lines.
-;      2) if FLOAT is activated, it is a array of reels of dimension 2,
+;      2) if FLOAT is activated, it is a array of reals of dimension 2,
 ;         number_of_pairs_of_straight_lines whose each row is the coordinates
 ;         of the intersection point of a pair of straight line.
 ;
 ; @restrictions
-; If the 2 straight line are parallel, we return coordinates
+; If the 2 straight lines are parallel, we return coordinates
 ; (!values.f_nan,!values.f_nan)
 ;
Index: trunk/SRC/Utilities/mergeonline_help.pro
===================================================================
--- trunk/SRC/Utilities/mergeonline_help.pro	(revision 239)
+++ trunk/SRC/Utilities/mergeonline_help.pro	(revision 242)
@@ -15,4 +15,5 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
@@ -24,5 +25,5 @@
   idlversion = float(strmid(!version.release, 0, 3))
   IF idlversion LT 6.2 THEN BEGIN
-    print, 'Warning: You need at least IDL 6.2 to use SAXO/IDL merged online help'
+    ras = report('Warning: You need at least IDL 6.2 to use SAXO/IDL merged online help')
     return
   ENDIF
@@ -170,7 +171,7 @@
   putfile, homesrc + 'aboutsaxo.txt', temporary(about)
 ;---------------------------------------------------------------
-  print, 'Merge of SAXO and IDL online help done...'
+  ras = report('Merge of SAXO and IDL online help done...')
   !help_path = homesrc
 ;
   RETURN
-END
+  END
Index: trunk/SRC/Utilities/protype.pro
===================================================================
--- trunk/SRC/Utilities/protype.pro	(revision 239)
+++ trunk/SRC/Utilities/protype.pro	(revision 242)
@@ -33,8 +33,8 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
 FUNCTION protype, file
-;
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/report.pro
===================================================================
--- trunk/SRC/Utilities/report.pro	(revision 239)
+++ trunk/SRC/Utilities/report.pro	(revision 242)
@@ -4,8 +4,8 @@
 ; Like <proidl>dialog_message</proidl> if there is already some widget
 ; active or like <proidl>message</proidl> if there is not any widget active.
-; To ask a question whose answer is not yes/no,use xquestion.
+; To ask a question whose answer is not yes/no, use xquestion.
 ;
-; @param TEXT {in}{required}
-; one string or one vector of string. Si le string ne
+; @param TEXT {in}{required} {type=scalar string or arrays of string}
+; If TEXT is a scalar string, we look for the line feed characters "!C"
 ; comporte qu''un element, on cherche les eventuels caracteres de
 ; retour a la ligne: '!C'. If text is set to an array of strings, each
@@ -14,9 +14,8 @@
 ; @keyword SIMPLE
 ; activate to print only the message without the name
-; and the line of the routine (defined by calling routine_name)
-;
-; @keyword _EXTRA
-; Used to pass keywords to <proidl>dialog_message</proidl> and 
-; <proidl>message</proidl>
+; and the line of the routine (defined by calling <pro>routine_name</pro>)
+; or++ 
+; Activate to print the error message without printing the routine name with
+; its full path.
 ;
 ; @keyword PARENT
@@ -30,7 +29,7 @@
 ; "Question" dialog.
 ;
-; @keyword SIMPLE
-; Activate to print the error message without printing the routine name with
-; its full path.
+; @keyword _EXTRA
+; Used to pass keywords to <proidl>dialog_message</proidl> and 
+; <proidl>message</proidl>
 ;
 ; @returns
Index: trunk/SRC/Utilities/routine_name.pro
===================================================================
--- trunk/SRC/Utilities/routine_name.pro	(revision 239)
+++ trunk/SRC/Utilities/routine_name.pro	(revision 242)
@@ -16,5 +16,6 @@
 ;
 ; @restrictions
-; This function use the keyword OUTPUT in help.pro and it is specified
+; This function use the keyword OUTPUT in <proidl>help</proidl> and 
+; it is specified
 ; in the on-line help that the return syntax of this word can change in
 ; function of the version of the code. This version works with IDL 5.2.
@@ -43,5 +44,4 @@
 FUNCTION routine_name,  pilingnum
 ;
-;
   compile_opt idl2, strictarrsubs
 ;
Index: trunk/SRC/Utilities/testvar.pro
===================================================================
--- trunk/SRC/Utilities/testvar.pro	(revision 239)
+++ trunk/SRC/Utilities/testvar.pro	(revision 242)
@@ -2,5 +2,6 @@
 ;
 ; @file_comments
-; A kind of keyword_set but when the value exist, it send it back.
+; A kind of <proidl>keyword_set</proidl> but when the value exist, it 
+; send it back.
 ;
 ; @categories
Index: trunk/SRC/Utilities/text_box.pro
===================================================================
--- trunk/SRC/Utilities/text_box.pro	(revision 239)
+++ trunk/SRC/Utilities/text_box.pro	(revision 242)
@@ -3,16 +3,16 @@
 ; @file_comments
 ; This procedure writes a short text message within a box-shaped
-; area in a graphics window.  The message may be split at word
+; area in a graphic window. The message may be split at word
 ; boundaries into several lines, and the character size and
 ; orientation may be adjusted for the text to fit within the box.
 ;
-; @param TEXT {in}{required}
-; ASCII text string containing the message.
+; @param TEXT {in}{required} {type=string}
+; message in ASCII.
 ;
 ; @keyword POS
-; 4 element vector specifying the box position and size
-; pos[0],pos[1] specify the lower left corner coordinate
-; pos[2],pos[3] specify the upper right corner coordinate
-; data window normalized coordinates are use
+; 4 elements vector specifying the box position and size
+; pos[0],pos[1] specify the lower left corner coordinate,
+; pos[2],pos[3] specify the upper right corner coordinate,
+; data window normalized coordinates are used.
 ;
 ; @keyword FG_COLOR {default=0}
@@ -39,5 +39,5 @@
 ;
 ; @keyword BOX
-; activate to show the box on graphics window.
+; activate to show the box on graphic window.
 ;
 ; @history
@@ -53,5 +53,4 @@
 PRO text_box,text,pos=pos,fg_color=fg_color,bg_color=bg_color,$
                center=center,right=right,box=box,vert_space=vert_space, _EXTRA = ex
-;
 ;
   compile_opt idl2, strictarrsubs
@@ -182,3 +181,2 @@
 return
 end
-
Index: trunk/SRC/Utilities/undefine.pro
===================================================================
--- trunk/SRC/Utilities/undefine.pro	(revision 239)
+++ trunk/SRC/Utilities/undefine.pro	(revision 242)
@@ -3,5 +3,5 @@
 ; @file_comments
 ; erase a variable
-; same thing that delvar but usable in a program and usable
+; same thing like <proidl>delvar</proidl> but usable in a program and usable
 ; for one variable simultaneously
 ;
@@ -23,7 +23,7 @@
 ; <a href="http://www.dfanning.com"/> :
 ;QUESTION: How do I make an IDL variable have a type "undefined"?
-;ANSWER: At the main IDL level you can use the IDL procedure DELVAR to
+;ANSWER: At the main IDL level you can use the IDL procedure <proidl>DELVAR</proidl> to
 ;delete an IDL variable and make it undefined. Inside of procedures
-;and functions, I use this little program named UNDEFINE that I got
+;and functions, I use this little program named <pro>UNDEFINE</pro> that I got
 ;from Andrew Cool at the DSTO High Frequency Radar Division in
 ;Adelaide, Australia.
Index: trunk/SRC/Utilities/xfile.pro
===================================================================
--- trunk/SRC/Utilities/xfile.pro	(revision 239)
+++ trunk/SRC/Utilities/xfile.pro	(revision 242)
@@ -2,5 +2,5 @@
 ;
 ; @file_comments
-; display in a widget an ASCII file.
+; display an ASCII file in a widget.
 ; It is the same thing that <proidl>xdisplayfile<proidl> but here, we use it
 ; to display the content of a procedure or of a function located in the !path
Index: trunk/SRC/Utilities/xhelp.pro
===================================================================
--- trunk/SRC/Utilities/xhelp.pro	(revision 239)
+++ trunk/SRC/Utilities/xhelp.pro	(revision 242)
@@ -7,7 +7,7 @@
 ; Widget
 ;
-; @param FILENAME {in}{required}
-; A scalar string that contains the filename of the file to display.
-; Filename should be located in !path.
+; @param FILENAME {in}{required} {type=scalar string}
+; the name of the file to display.
+; FILENAME should be located in !path.
 ; ".pro" suffix will be appended if needed.
 ;
@@ -16,5 +16,5 @@
 ;
 ; @restrictions
-; Triggers the XMANAGER if it is not already in use.
+; Triggers the <proidl>XMANAGER</proidl> if it is not already in use.
 ;
 ; @examples