Index: trunk/SRC/Documentation/idldoc_html_output/idldoc-index-M.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/idldoc-index-M.html	(revision 249)
+++ trunk/SRC/Documentation/idldoc_html_output/idldoc-index-M.html	(revision 290)
@@ -172,19 +172,13 @@
       <dl>
 	
-	<dt><a href="./ToBeReviewed/STATISTICS/c_timecorrelate.html#_timecross_cov">M</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/c_timecorrelate</dd>
-	
-	<dt><a href="./ToBeReviewed/STATISTICS/a_timecorrelate.html#_timeauto_cov">M</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_timecorrelate</dd>
-	
 	<dt><a href="./ToBeReviewed/STRING/strsci.html#_strsci">MANTISSA_ONLY</a></dt>
 	<dd>a keyword from the routine strsci</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/placedessin.html#_placedessin">MAP</a></dt>
+	<dd>a keyword from the routine placedessin</dd>
+	
 	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.html#_cw_bgroup">MAP</a></dt>
 	<dd>a keyword from the routine cw_bgroup</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/placedessin.html#_placedessin">MAP</a></dt>
-	<dd>a keyword from the routine placedessin</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">MAP</a></dt>
 	<dd>a keyword from the routine plt</dd>
@@ -196,16 +190,19 @@
 	<dd>a keyword from the routine imdisp</dd>
 	
+	<dt><a href="./Picture/imdisp.html#_imdisp_getpos">MARGIN</a></dt>
+	<dd>a keyword from the routine imdisp_getpos</dd>
+	
 	<dt><a href="./Picture/imdisp.html#_imdisp_imsize">MARGIN</a></dt>
 	<dd>a keyword from the routine imdisp_imsize</dd>
 	
-	<dt><a href="./Picture/imdisp.html#_imdisp_getpos">MARGIN</a></dt>
-	<dd>a keyword from the routine imdisp_getpos</dd>
+	<dt><a href="./Grid/computegrid.html#_computegrid">MASK</a></dt>
+	<dd>a keyword from the routine computegrid</dd>
+	
+	<dt><a href="./ToBeReviewed/CALCULS/remplit.html#_remplit">MASK</a></dt>
+	<dd>a keyword from the routine remplit</dd>
 	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/tvplus.html#_tvplus">MASK</a></dt>
 	<dd>a keyword from the routine tvplus</dd>
 	
-	<dt><a href="./Grid/computegrid.html#_computegrid">MASK</a></dt>
-	<dd>a keyword from the routine computegrid</dd>
-	
 	<dt><a href="./ToBeReviewed/LECTURE/litchamp.html#_litchamp">MASK</a></dt>
 	<dd>a keyword from the routine litchamp</dd>
@@ -217,6 +214,9 @@
 	<dd>a keyword from the routine pltz</dd>
 	
-	<dt><a href="./ToBeReviewed/INIT/initncdf.html#_initncdf">MASKNAME</a></dt>
-	<dd>a keyword from the routine initncdf</dd>
+	<dt><a href="./Interpolation/file_interp.html#_file_interp">MASKIN</a></dt>
+	<dd>a keyword from the routine file_interp</dd>
+	
+	<dt><a href="./ReadWrite/ncdf_getmask.html#_ncdf_getmask">MASKNAME</a></dt>
+	<dd>a keyword from the routine ncdf_getmask</dd>
 	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html#_pltbase">MASKNAN</a></dt>
@@ -226,7 +226,13 @@
 	<dd>a keyword from the routine pltbase</dd>
 	
+	<dt><a href="./Interpolation/file_interp.html#_file_interp">MASKOUT</a></dt>
+	<dd>a keyword from the routine file_interp</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltv.html#_pltv">MASKVAL</a></dt>
 	<dd>a keyword from the routine pltv</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checktypeminmax.html#_checktypeminmax">MAX</a></dt>
+	<dd>a keyword from the routine checktypeminmax</dd>
+	
 	<dt><a href="./Colors/colorbar.html#_colorbar">MAX</a></dt>
 	<dd>a keyword from the routine colorbar</dd>
@@ -238,25 +244,25 @@
 	<dd>a keyword from the routine barrecouleur</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checktypeminmax.html#_checktypeminmax">MAX</a></dt>
-	<dd>a keyword from the routine checktypeminmax</dd>
+	<dt><a href="./Matrix/cmset_op.html#_cmset_op">MAXARRAY</a></dt>
+	<dd>a keyword from the routine cmset_op</dd>
 	
 	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.html#_cw_slider_pm">MAXIMUM</a></dt>
 	<dd>a keyword from the routine cw_slider_pm</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltv.html#_pltv">MAXIN</a></dt>
+	<dd>a keyword from the routine pltv</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html#_pltz">MAXIN</a></dt>
 	<dd>a keyword from the routine pltz</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltv.html#_pltv">MAXIN</a></dt>
-	<dd>a keyword from the routine pltv</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html#_pltt">MAXIN</a></dt>
 	<dd>a keyword from the routine pltt</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">MAXIN</a></dt>
+	<dd>a keyword from the routine plt</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html#_plt1d">MAXIN</a></dt>
 	<dd>a keyword from the routine plt1d</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">MAXIN</a></dt>
-	<dd>a keyword from the routine plt</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/determineminmax.html#_determineminmax">MAXIN</a></dt>
 	<dd>a keyword from the routine determineminmax</dd>
@@ -280,39 +286,51 @@
 	<dd>a keyword from the routine xx</dd>
 	
+	<dt><a href="./Interpolation/file_interp.html#_file_interp">METHOD</a></dt>
+	<dd>a keyword from the routine file_interp</dd>
+	
+	<dt><a href="./Interpolation/file_interp.html#_call_interp2d">METHOD</a></dt>
+	<dd>a keyword from the routine call_interp2d</dd>
+	
 	<dt><a href="./Interpolation/map_npoints.html#_map_npoints">MIDDLE</a></dt>
 	<dd>a keyword from the routine map_npoints</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/barrecouleur.html#_barrecouleur">MIN</a></dt>
+	<dd>a keyword from the routine barrecouleur</dd>
+	
+	<dt><a href="./Colors/colorbar.html#_colorbar">MIN</a></dt>
+	<dd>a keyword from the routine colorbar</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/tvplus.html#_tvplus">MIN</a></dt>
+	<dd>a keyword from the routine tvplus</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checktypeminmax.html#_checktypeminmax">MIN</a></dt>
 	<dd>a keyword from the routine checktypeminmax</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/barrecouleur.html#_barrecouleur">MIN</a></dt>
-	<dd>a keyword from the routine barrecouleur</dd>
-	
-	<dt><a href="./Colors/colorbar.html#_colorbar">MIN</a></dt>
-	<dd>a keyword from the routine colorbar</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/tvplus.html#_tvplus">MIN</a></dt>
-	<dd>a keyword from the routine tvplus</dd>
-	
 	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.html#_cw_slider_pm">MINIMUM</a></dt>
 	<dd>a keyword from the routine cw_slider_pm</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">MININ</a></dt>
+	<dd>a keyword from the routine plt</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltv.html#_pltv">MININ</a></dt>
+	<dd>a keyword from the routine pltv</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html#_pltt">MININ</a></dt>
+	<dd>a keyword from the routine pltt</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/determineminmax.html#_determineminmax">MININ</a></dt>
 	<dd>a keyword from the routine determineminmax</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltv.html#_pltv">MININ</a></dt>
-	<dd>a keyword from the routine pltv</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html#_pltz">MININ</a></dt>
 	<dd>a keyword from the routine pltz</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html#_plt">MININ</a></dt>
-	<dd>a keyword from the routine plt</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html#_plt1d">MININ</a></dt>
 	<dd>a keyword from the routine plt1d</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html#_pltt">MININ</a></dt>
-	<dd>a keyword from the routine pltt</dd>
+	<dt><a href="./Calendar/jul2date.html#_jul2date">MINUTE</a></dt>
+	<dd>a keyword from the routine jul2date</dd>
+	
+	<dt><a href="./Calendar/date2jul.html#_date2jul">MINUTE</a></dt>
+	<dd>a keyword from the routine date2jul</dd>
 	
 	<dt><a href="./Interpolation/extrapsmooth.html#_extrapsmooth">MINVAL</a></dt>
@@ -322,15 +340,21 @@
 	<dd>a keyword from the routine extrapolate</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/VECTEUR/velovect.html#_velovect">MISSING</a></dt>
+	<dd>a keyword from the routine velovect</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/VECTEUR/vecteur.html#_vecteur">MISSING</a></dt>
 	<dd>a keyword from the routine vecteur</dd>
 	
-	<dt><a href="./ToBeReviewed/INIT/initncdf.html#_initncdf">MISSING_VALUE</a></dt>
-	<dd>a keyword from the routine initncdf</dd>
+	<dt><a href="./ReadWrite/ncdf_getmask.html#_ncdf_getmask">MISSING_VALUE</a></dt>
+	<dd>a keyword from the routine ncdf_getmask</dd>
 	
 	<dt><a href="./Colors/xlct.html#_xlct">MODAL</a></dt>
 	<dd>a keyword from the routine xlct</dd>
 	
-	<dt><a href="./Calendar/julday.html#_julday">MONTH</a></dt>
-	<dd>a parameter from the routine ./Calendar/julday</dd>
+	<dt><a href="./Calendar/date2jul.html#_date2jul">MONTH</a></dt>
+	<dd>a keyword from the routine date2jul</dd>
+	
+	<dt><a href="./Calendar/jul2date.html#_jul2date">MONTH</a></dt>
+	<dd>a keyword from the routine jul2date</dd>
 	
 	<dt><a href="./ToBeReviewed/PLOTS/LABEL/label_date.html#_label_date">MONTHS</a></dt>
@@ -343,15 +367,12 @@
 	<dd>a keyword from the routine projsegment</dd>
 	
-	<dt><a href="./ToBeReviewed/STRING/getwrd.html#_getwrd">MTH</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/getwrd</dd>
-	
 	<dt><a href="./Picture/saveimage.html#_saveimage">MULTIPLE</a></dt>
 	<dd>a keyword from the routine saveimage</dd>
 	
-	<dt><a href="./Calendar/julday.html#_julday">Minute</a></dt>
-	<dd>a parameter from the routine ./Calendar/julday</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/VECTEUR/velovect.html#_velovect">Missing</a></dt>
-	<dd>a keyword from the routine velovect</dd>
+	<dt><a href="./ToBeReviewed/STATISTICS/a_timecorrelate.html#_timeauto_cov">m</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/a_timecorrelate</dd>
+	
+	<dt><a href="./ToBeReviewed/STATISTICS/c_timecorrelate.html#_timecross_cov">m</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STATISTICS/c_timecorrelate</dd>
 	
 	<dt><a href="./ToBeReviewed/PLOTS/legende.html#_legende">ma</a></dt>
@@ -376,12 +397,15 @@
 	<dd>a parameter from the routine ./ToBeReviewed/POSTSCRIPT/calibre</dd>
 	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_e.html#_drawcoast_e">mask</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/drawcoast_e</dd>
+	
+	<dt><a href="./ToBeReviewed/GRILLE/decoupeterre.html#_decoupeterre">mask</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/decoupeterre</dd>
+	
 	<dt><a href="./ToBeReviewed/GRILLE/grille.html#_grille">mask</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/grille</dd>
 	
-	<dt><a href="./ToBeReviewed/CALCULS/remplit.html#_remplit">mask</a></dt>
-	<dd>a keyword from the routine remplit</dd>
-	
-	<dt><a href="./ToBeReviewed/GRILLE/decoupeterre.html#_decoupeterre">mask</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/decoupeterre</dd>
+	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_c.html#_drawcoast_c">mask</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/drawcoast_c</dd>
 	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html#_pltbase">mask</a></dt>
@@ -394,10 +418,4 @@
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/determineminmax</dd>
 	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_c.html#_drawcoast_c">mask</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/drawcoast_c</dd>
-	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/drawcoast_e.html#_drawcoast_e">mask</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/drawcoast_e</dd>
-	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/triangule_e.html#_triangule_e">maskentree</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/TRIANGULATION/triangule_e</dd>
@@ -427,10 +445,10 @@
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/autoscale</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltv.html#_pltv">max</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltv</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/LABEL/label_gmt.html#_label_gmt">max</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/LABEL/label_gmt</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltv.html#_pltv">max</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltv</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/LABEL/label.html#_label">max</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/LABEL/label</dd>
@@ -442,7 +460,4 @@
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltsc</dd>
 	
-	<dt><a href="./Matrix/cmset_op.html#_cmset_op">maxarray</a></dt>
-	<dd>a keyword from the routine cmset_op</dd>
-	
 	<dt><a href="./Utilities/mergeonline_help.html#_mergeonline_help">mergeonline_help</a></dt>
 	<dd>a procedure from the file mergeonline_help.pro</dd>
@@ -481,16 +496,16 @@
 	<dd>a file from the directory ./Grid</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/LABEL/label_gmt.html#_label_gmt">min</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/LABEL/label_gmt</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/autoscale.html#_autoscale">min</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/autoscale</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/LABEL/label.html#_label">min</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/LABEL/label</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltv.html#_pltv">min</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltv</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/autoscale.html#_autoscale">min</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/autoscale</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/LABEL/label.html#_label">min</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/LABEL/label</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/LABEL/label_gmt.html#_label_gmt">min</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/LABEL/label_gmt</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltsc.html#_pltsc">min1</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltsc</dd>
@@ -502,4 +517,10 @@
 	<dd>a parameter from the routine ./Calendar/caldat</dd>
 	
+	<dt><a href="./Calendar/julday.html#_julday">minute</a></dt>
+	<dd>a parameter from the routine ./Calendar/julday</dd>
+	
+	<dt><a href="./ReadWrite/ncdf_getatt.html#_ncdf_getatt">missing_value</a></dt>
+	<dd>a keyword from the routine ncdf_getatt</dd>
+	
 	<dt><a href="./ToBeReviewed/STRUCTURE/mixstru.html#_mixstru">mixstru</a></dt>
 	<dd>a function from the file mixstru.pro</dd>
@@ -511,13 +532,16 @@
 	<dd>a parameter from the routine ./Obsolete/jourdsmois</dd>
 	
+	<dt><a href="./Calendar/caldat.html#_caldat">month</a></dt>
+	<dd>a parameter from the routine ./Calendar/caldat</dd>
+	
+	<dt><a href="./Calendar/monthname.html#_monthname">month</a></dt>
+	<dd>a parameter from the routine ./Calendar/monthname</dd>
+	
+	<dt><a href="./Calendar/julday.html#_julday">month</a></dt>
+	<dd>a parameter from the routine ./Calendar/julday</dd>
+	
 	<dt><a href="./Calendar/daysinmonth.html#_daysinmonth">month</a></dt>
 	<dd>a parameter from the routine ./Calendar/daysinmonth</dd>
 	
-	<dt><a href="./Calendar/caldat.html#_caldat">month</a></dt>
-	<dd>a parameter from the routine ./Calendar/caldat</dd>
-	
-	<dt><a href="./Calendar/monthname.html#_monthname">month</a></dt>
-	<dd>a parameter from the routine ./Calendar/monthname</dd>
-	
 	<dt><a href="./Calendar/monthname.html#_monthname">monthname</a></dt>
 	<dd>a function from the file monthname.pro</dd>
@@ -526,7 +550,4 @@
 	<dd>a file from the directory ./Calendar</dd>
 	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.html#_move">move</a></dt>
-	<dd>a procedure from the file cw_calendar.pro</dd>
-	
 	<dt><a href="./ToBeReviewed/CALCULS/moyenne.html#_moyenne">moyenne</a></dt>
 	<dd>a function from the file moyenne.pro</dd>
@@ -538,13 +559,13 @@
 	<dd>a parameter from the routine ./Grid/numbisland</dd>
 	
+	<dt><a href="./Grid/numbisland.html#_numbisland">mskin</a></dt>
+	<dd>a parameter from the routine ./Grid/numbisland</dd>
+	
+	<dt><a href="./Interpolation/fromirr.html#_fromirr">mskin</a></dt>
+	<dd>a parameter from the routine ./Interpolation/fromirr</dd>
+	
 	<dt><a href="./Interpolation/extrapsmooth.html#_extrapsmooth">mskin</a></dt>
 	<dd>a parameter from the routine ./Interpolation/extrapsmooth</dd>
 	
-	<dt><a href="./Interpolation/fromirr.html#_fromirr">mskin</a></dt>
-	<dd>a parameter from the routine ./Interpolation/fromirr</dd>
-	
-	<dt><a href="./Grid/numbisland.html#_numbisland">mskin</a></dt>
-	<dd>a parameter from the routine ./Grid/numbisland</dd>
-	
 	<dt><a href="./Grid/numbisland.html#_mskneig">mskneig</a></dt>
 	<dd>a procedure from the file numbisland.pro</dd>
@@ -553,4 +574,7 @@
 	<dd>a parameter from the routine ./Interpolation/fromirr</dd>
 	
+	<dt><a href="./ToBeReviewed/STRING/getwrd.html#_getwrd">mth</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/getwrd</dd>
+	
       </dl>
       