Index: trunk/SRC/Documentation/xmldoc/faqsaxo.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/faqsaxo.xml	(revision 291)
+++ trunk/SRC/Documentation/xmldoc/faqsaxo.xml	(revision 294)
@@ -5,4 +5,5 @@
 <!ENTITY promptidl "idl&gt;">
 ]>
+<article>
 <!--
 en s'inspirant de
@@ -12,5 +13,5 @@
 
 !! on notera l'utilisation hypersioux de xinclude xpointer pour ne pas répéter
-(avec des erreurs, forcément)à ce qui est déjà écrit dans un autre document
+(avec des erreurs, forcément) ce qui est déjà écrit dans un autre document
 !!
 cf http://www.zvon.org/xxl/XIncludeTutorial/Output/example9.html
@@ -19,5 +20,4 @@
 exemple de l'entité incluse)
 -->
-<article>
 <title>Frequently Asked questions about SAXO</title>
   <articleinfo>
@@ -178,5 +178,5 @@
 <para>
 Yes, if you use at least IDL 6.2. It is produced by <application><ulink url="http://www.ittvis.com/codebank/search.asp?FID=100">IDLdoc</ulink></application>. SAXO and IDL online_help have been merged, you can simply get the help by typing:
-     <screen format="linespecific">
+     <screen>
        <prompt>&promptidl;</prompt> <userinput><command>?</command></userinput>
      </screen>
@@ -209,5 +209,5 @@
 </menuchoice>.
 in your <filename>${HOME}/.emacs</filename> like this :
-<programlisting format="linespecific">
+<programlisting>
 (add-hook 'idlwave-mode-hook
   (function
@@ -249,5 +249,5 @@
 <para>
 If you need to draw some small figure like grid cell, you can encapsulate
-between the block to be shown in constant font <!-- see savesaxo.sh -->
+the block to be shown in constant font <!-- see savesaxo.sh -->
 between
 <literal>; &lt;fixe&gt;</literal> and
@@ -270,5 +270,5 @@
 <question>
 <para>
-How can I check spelling of xml files ?
+How can I check spelling of XML files ?
 </para>
 </question>
@@ -276,5 +276,5 @@
 <para>
 There is one way with command line :
-     <screen format="linespecific">
+     <screen>
        <prompt>$</prompt> <userinput><command>aspell</command> <option>--mode=sgml</option> <option>-c</option> <parameter><filename><replaceable>xmlfile</replaceable></filename></parameter></userinput>
      </screen>
@@ -285,4 +285,36 @@
 <question>
 <para>
+How can I check spelling of IDL files ?
+</para>
+</question>
+<answer>
+<para>
+Not so easy but you can start with something like this :
+     <screen>
+       <prompt>$</prompt> <userinput><command>cd</command> <parameter><envar>${HOME}</envar>/SAXO_DIR/SRC</parameter></userinput>
+       <prompt>$</prompt> <userinput>list=$(find . -name "*.pro")</userinput>
+       <prompt>$</prompt> <userinput>for file in ${list}; do aspell list &lt; ${file}; done > /tmp/list_word </userinput>
+       <prompt>$</prompt> <userinput>sort -u /tmp/list_word > /tmp/list_sort</userinput>
+     </screen>
+</para>
+<para>
+This will give <filename>/tmp/list_sort</filename> a list of sorted word
+used in IDL files that are not in the default dictionnary.
+Some of these words are correct in IDL and SAXO vocabulary, so they do not have to be replaced but some typo can be found.
+</para>
+<para>
+To find occurences of one of these misspelled words, you have to do this :
+     <screen>
+       <prompt>$</prompt> <userinput>find . -name "*.pro" -exec grep -h "<replaceable>misspelled_word</replaceable>" {} \;</userinput>
+     </screen>
+</para>
+<para>
+We should improve this by providing some IDL and SAXO dictionnary. <!-- ++ -->
+</para>
+</answer>
+</qandaentry>
+<qandaentry>
+<question>
+<para>
 How can I see online help update ?
 </para>
@@ -291,5 +323,5 @@
 <para>
 You won't see  online help update if you are working with the official distribution because of <varname>!HELP_PATH</varname>. To override this problem, when you are in <filename class="directory"><replaceable>SAXO_basedirectory</replaceable>/SAXO_DIR/SRC/Documentation/xmldoc/</filename>,  you can call online help like this :
-     <screen format="linespecific">
+     <screen>
        <prompt>&promptidl;</prompt> <userinput><command>ONLINE_HELP</command>,<option>book="../idldoc_assistant_output/idldoc-lib.adp"</option></userinput>
      </screen>