Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro	(revision 325)
@@ -30,5 +30,4 @@
 ;
 ;-
-;
 FUNCTION buildcmd, base, BOXZOOM = boxzoom, FORCETYPE = forcetype
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.pro	(revision 325)
@@ -38,5 +38,4 @@
 ;
 ;-
-;
 FUNCTION buildreadcmd, base, snameexp, procedure, type, BOXZOOM = boxzoom $
                        , COMPLETE = complete, NAMEFIELD = namefield
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefile.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefile.pro	(revision 325)
@@ -44,5 +44,4 @@
 ;
 ;-
-;
 PRO changefile, base, newfilename, BOXZOOM = boxzoom, DATE1 = date1, DATE2 = date2, FIELDNAME = fieldname
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.pro	(revision 325)
@@ -38,5 +38,4 @@
 ;
 ;-
-;
 PRO createhistory, base, small
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/cutcmd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/cutcmd.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/cutcmd.pro	(revision 325)
@@ -34,5 +34,4 @@
 ;
 ;-
-;
 PRO cutcmd, widcmd, toread, numberofread, prefix, nameexp, ending
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/definedefaultextra.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/definedefaultextra.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/definedefaultextra.pro	(revision 325)
@@ -24,5 +24,4 @@
 ;
 ;-
-;
 FUNCTION definedefaultextra, nomvariable
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/doubleclickaction.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/doubleclickaction.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/doubleclickaction.pro	(revision 325)
@@ -24,5 +24,4 @@
 ;
 ;-
-;
 PRO doubleclickaction, event
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/extractatt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/extractatt.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/extractatt.pro	(revision 325)
@@ -26,5 +26,4 @@
 ;
 ;-
-;
 FUNCTION extractatt, top_uvalue, name
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/findline.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/findline.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/findline.pro	(revision 325)
@@ -26,5 +26,4 @@
 ;
 ;-
-;
 FUNCTION findline, top_uvalue, name
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.pro	(revision 325)
@@ -24,5 +24,4 @@
 ;
 ;-
-;
 FUNCTION identifyclick, event
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/inserthistory.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/inserthistory.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/inserthistory.pro	(revision 325)
@@ -30,5 +30,4 @@
 ;
 ;-
-;
 PRO inserthistory,  base, text, line1, line2
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/letsdraw.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/letsdraw.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/letsdraw.pro	(revision 325)
@@ -27,5 +27,4 @@
 ;
 ;-
-;
 PRO letsdraw, base, COMMANDE = commande, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.pro	(revision 325)
@@ -27,5 +27,4 @@
 ;
 ;-
-;
 PRO loadgrid, meshfiletxtin, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction.pro	(revision 325)
@@ -24,5 +24,4 @@
 ;
 ;-
-;
 PRO longclickaction, event
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/read_vermair.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/read_vermair.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/read_vermair.pro	(revision 325)
@@ -47,5 +47,4 @@
 ;
 ;-
-;
 FUNCTION read_vermair, name, debut, fin, nomexp, PARENT = parent, BOXZOOM=boxzoom, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro	(revision 325)
@@ -31,4 +31,5 @@
 ;
 ;-
+FUNCTION scanfile, namefile, GRID = GRID, _EXTRA = ex
 ;
 ;  liste des presupposes:
@@ -63,6 +64,4 @@
 ;        is not found.
 ;
-;
-FUNCTION scanfile, namefile, GRID = GRID, _EXTRA = ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro	(revision 325)
@@ -22,6 +22,6 @@
 ; @todo
 ; seb: documenter EVENT
+;
 ;-
-;
 PRO selectfile_event, event
 ;
@@ -203,7 +203,5 @@
 ;
 ;-
-;
 FUNCTION selectfile, datafilename, idlfile, argspro, _EXTRA = ex
-;
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/singleclickaction.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/singleclickaction.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/singleclickaction.pro	(revision 325)
@@ -24,5 +24,4 @@
 ;
 ;-
-;
 PRO singleclickaction, event
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/tracecadre.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/tracecadre.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/tracecadre.pro	(revision 325)
@@ -32,5 +32,4 @@
 ;
 ;-
-;
 PRO tracecadre, small, OUT = out, ERASE = erase, FILL = fill
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/updatewidget.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/updatewidget.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/updatewidget.pro	(revision 325)
@@ -31,5 +31,4 @@
 ;
 ;-
-;
 PRO updatewidget, base, NOBOXZOOM = noboxzoom, NODATES = nodates, NOTYPE = notype
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro	(revision 325)
@@ -24,5 +24,4 @@
 ;
 ;-
-;
 PRO xcreateanim_event, event
 ;
@@ -192,5 +191,4 @@
 ;
 ;-
-;
 PRO xcreateanim, parent
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro	(revision 325)
@@ -23,5 +23,4 @@
 ; seb
 ;-
-;
 PRO xxxmenubar_event, event
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.pro	(revision 325)
@@ -23,6 +23,6 @@
 ; @version
 ; $Id$
+;
 ;-
-;
 PRO cw_bgroup_setv, id, value
 ;
@@ -79,6 +79,6 @@
 ; @version
 ; $Id$
+;
 ;-
-;
 FUNCTION cw_bgroup_getv, id, value
 ;
@@ -130,6 +130,6 @@
 ; @version
 ; $Id$
+;
 ;-
-;
 FUNCTION cw_bgroup_event, ev
 ;
@@ -338,5 +338,4 @@
 ;
 ;-
-;
 FUNCTION cw_bgroup, parent, names, $
     BUTTON_UVALUE = button_uvalue, COLUMN=column, EVENT_FUNCT = efun, $
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.pro	(revision 325)
@@ -61,6 +61,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 PRO cw_calendar_set_value, id, value
 ;
@@ -123,6 +123,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 FUNCTION cw_calendar_get_value, id
 ;
@@ -159,6 +159,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 FUNCTION get_cal_value, id, winfoid
 ;
@@ -224,4 +224,5 @@
 ; @version
 ; $Id$
+;
 ;-
 PRO set_cal_combobox, event, casename, date0
@@ -324,4 +325,5 @@
 ; @version
 ; $Id$
+;
 ;-
 PRO cw_cal_move, event, casename
@@ -374,4 +376,5 @@
 ; @version
 ; $Id$
+;
 ;-
 FUNCTION cw_calendar_event, event
@@ -466,5 +469,4 @@
 ;
 ;-
-;
 FUNCTION cw_calendar, parent, calendar, jdate0, CALTYPE = CALTYPE, FAKECAL = fakecal, UVALUE = uvalue, UNAME = uname, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.pro	(revision 325)
@@ -23,6 +23,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 PRO cw_combobox_pm_set_value, id, value
 ;
@@ -67,6 +67,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 FUNCTION cw_combobox_pm_get_value, id
 ;
@@ -104,6 +104,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 FUNCTION cw_combobox_pm_event, event
 ;
@@ -247,5 +247,4 @@
 ;
 ;-
-;
 FUNCTION cw_combobox_pm, parent, VALUE = value, UVALUE = uvalue, UNAME = uname, ROW = row, COLUMN = column, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro	(revision 325)
@@ -63,6 +63,6 @@
 ; @version
 ; $Id$
+;
 ;-
-;
 PRO cw_domain_set_value, id, value
 ;
@@ -305,6 +305,6 @@
 ; @version
 ; $Id$
+;
 ;-
-;
 FUNCTION cw_domain_get_value, id
 ;
@@ -341,6 +341,6 @@
 ; @version
 ; $Id$
+;
 ;-
-;
 FUNCTION cw_domain_event, event
 ;
@@ -539,5 +539,4 @@
 ;
 ;-
-;
 FUNCTION cw_domain, parent, BOXZOOM = boxzoom, STRICT = strict, UVALUE = uvalue, UNAME = uname, UNZOOM = unzoom, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro	(revision 325)
@@ -23,6 +23,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 PRO cw_droplist_pm_set_value, id, value
 ;
@@ -66,6 +66,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 FUNCTION cw_droplist_pm_get_value, id
 ;
@@ -100,6 +100,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 FUNCTION cw_droplist_pm_event, event
 ;
@@ -234,5 +234,4 @@
 ;
 ;-
-;
 FUNCTION cw_droplist_pm, parent,UVALUE = uvalue, UNAME = uname, ROW = row, COLUMN = column, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.pro	(revision 325)
@@ -20,6 +20,6 @@
 ; @version
 ; $Id$
+;
 ;-
-;
 FUNCTION cw_pagelayout_event, event
 ;
@@ -148,5 +148,4 @@
 ;
 ;-
-;
 FUNCTION cw_pagelayout, parent, small, UVALUE = uvalue, UNAME = uname, UNZOOM = unzoom, COLUMN = column, ROW = row, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 325)
@@ -23,6 +23,6 @@
 ; @version
 ; $Id$
+;
 ;-
-;
 PRO cw_slide_slice_set_value, id, value
 ;
@@ -83,6 +83,6 @@
 ; @version
 ; $Id$
+;
 ;-
-;
 FUNCTION cw_slide_slice_event,  event
 ;
@@ -217,5 +217,4 @@
 ;
 ;-
-;
 FUNCTION cw_slide_slice, parent, BOXZOOM = boxzoom, UVALUE = uvalue, UNAME = uname, FRAME = frame, ROW = row, COLUMN = column, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.pro	(revision 325)
@@ -21,6 +21,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 FUNCTION decvalue, value
 ;
@@ -53,6 +53,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 FUNCTION decind, value
 ;
@@ -87,6 +87,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 PRO cw_slider_pm_set_value, id, value
 ;
@@ -163,6 +163,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 FUNCTION cw_slider_pm_get_value, id
 ;
@@ -197,6 +197,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 FUNCTION cw_slider_pm_event, event
 ;
@@ -335,5 +335,4 @@
 ;
 ;-
-;
 FUNCTION cw_slider_pm, parent, MAXIMUM = maximum, MINIMUM = minimum $
                        , STRMINLEN = strminlen, VALUE = value, UVALUE = uvalue $
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.pro	(revision 325)
@@ -23,6 +23,6 @@
 ; @version
 ; $Id$
-;-
-;
+;
+;-
 PRO cw_specifie_set_value, id, value
 ;
@@ -74,5 +74,4 @@
 ;
 ;-
-;
 FUNCTION cw_specifie_get_value, id
 ;
@@ -123,5 +122,4 @@
 ;
 ;-
-;
 FUNCTION cw_specifie_event, event
 ;
@@ -210,5 +208,4 @@
 ;
 ;-
-;
 FUNCTION cw_specifie, parent, ROW = row, COLUMN = column, UVALUE = uvalue, UNAME = uname, FRAME = frame, FORXXX = forxxx, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/findtopid.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/findtopid.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/findtopid.pro	(revision 325)
@@ -23,5 +23,4 @@
 ;
 ;-
-;
 FUNCTION findtopid, widget_id
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/slec.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/slec.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/slec.pro	(revision 325)
@@ -47,5 +47,4 @@
 ;
 ;-
-;
 FUNCTION slec, name, debut, fin, nomexp, PARENT=parent, BOXZOOM=boxzoom, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro	(revision 325)
@@ -35,5 +35,4 @@
 ;
 ;-
-;
 FUNCTION xnotice, text, CHKWIDGET = chkwidget
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/xquestion.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xquestion.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/xquestion.pro	(revision 325)
@@ -19,6 +19,6 @@
 ; @version
 ; $Id$
+;
 ;-
-;
 PRO xquestion_event, event
 ;
@@ -83,5 +83,4 @@
 ;
 ;-
-;
 FUNCTION xquestion, question, proposedanswer, CHKWIDGET = chkwidget, _EXTRA = ex ;
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/xx.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xx.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/xx.pro	(revision 325)
@@ -35,5 +35,4 @@
 ;
 ;-
-;
 PRO xx,  JOUR = jour, MESHFILENAME = meshfilename,  LISTVAR = listvar, LISTGRID = listgrid, FUNCLEC_NAME = funclec_name, CALENDAR = calendar, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/xxx.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 310)
+++ trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 325)
@@ -20,6 +20,6 @@
 ; @version
 ; $Id$
+;
 ;-
-;
 PRO xxx_event, event
 ;
@@ -154,5 +154,4 @@
 ;
 ;-
-;
 PRO xxx, datafilename, idlfile, argspro, CALLERWIDID = callerwidid $
          , REDRAW = redraw, SEPARATE = separate, UVALUE = uvalue $