Index: trunk/SRC/ToBeReviewed/TRIANGULATION/ciseauxtri.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/ciseauxtri.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/ciseauxtri.pro	(revision 327)
@@ -29,5 +29,5 @@
 ;
 ;-
-FUNCTION ciseauxtri, triang, glam, gphi, _EXTRA = ex
+FUNCTION ciseauxtri, triang, glam, gphi, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/completecointerre.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/completecointerre.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/completecointerre.pro	(revision 327)
@@ -29,5 +29,5 @@
 ;
 ;-
-PRO draw_corner_triangle, lons, lats, seuil, CONT_COLOR = cont_color, _EXTRA = ex
+PRO draw_corner_triangle, lons, lats, seuil, CONT_COLOR=cont_color, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
@@ -85,7 +85,7 @@
 ;
 ;-
-PRO completecointerre, COINMONTE = coinmonte, COINDESCEND = coindescend $
-                       , CONT_COLOR = cont_color, INDICEZOOM = indicezoom $
-                       , _EXTRA = ex
+PRO completecointerre, COINMONTE=coinmonte, COINDESCEND=coindescend $
+                     , CONT_COLOR=cont_color, INDICEZOOM=indicezoom $
+                     , _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/definetri_e.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/definetri_e.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/definetri_e.pro	(revision 327)
@@ -78,5 +78,5 @@
 ;
 ;-
-FUNCTION definetri_e, nx, ny, singular, SHIFTED = shifted
+FUNCTION definetri_e, nx, ny, singular, SHIFTED=shifted
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/dessinetri.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/dessinetri.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/dessinetri.pro	(revision 327)
@@ -42,5 +42,6 @@
 ;
 ;-
-PRO dessinetri, tri, x, y, WAIT = wait, ONEBYONE = onebyone, FILL = fill, CHANGECOLOR = changecolor, _EXTRA = ex
+PRO dessinetri, tri, x, y, WAIT=wait, ONEBYONE=onebyone, FILL=fill $
+              , CHANGECOLOR=changecolor, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/drawcoast_c.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/drawcoast_c.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/drawcoast_c.pro	(revision 327)
@@ -51,5 +51,7 @@
 ;
 ;-
-PRO drawcoast_c, mask, xf, yf, nx, ny, COAST_COLOR = coast_color, COAST_THICK = coast_thick, YSEUIL = yseuil, XSEUIL = xseuil, _EXTRA = ex
+PRO drawcoast_c, mask, xf, yf, nx, ny $
+               , COAST_COLOR=coast_color, COAST_THICK=coast_thick $
+               , YSEUIL=yseuil, XSEUIL=xseuil, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/drawcoast_e.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/drawcoast_e.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/drawcoast_e.pro	(revision 327)
@@ -50,5 +50,7 @@
 ;
 ;-
-PRO drawcoast_e, mask, xf, yf, nx, ny, COAST_COLOR = coast_color, COAST_THICK = coast_thick, YSEUIL = yseuil, XSEUIL = xseuil, ONEMORE = onemore, _EXTRA = ex
+PRO drawcoast_e, mask, xf, yf, nx, ny $
+               , COAST_COLOR=coast_color, COAST_THICK=coast_thick $
+               , YSEUIL=yseuil, XSEUIL=xseuil, ONEMORE=onemore, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/drawsectionbottom.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/drawsectionbottom.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/drawsectionbottom.pro	(revision 327)
@@ -42,7 +42,7 @@
 ;-
 PRO drawsectionbottom, maskin, xxaxisin, depthsin $
-                     , COAST_COLOR = coast_color, COAST_THICK = coast_thick $
-                     , CONT_COLOR = cont_color, CONT_NOFILL = cont_nofill $
-                     , OVERPLOT = overplot, _EXTRA = ex
+                     , COAST_COLOR=coast_color, COAST_THICK=coast_thick $
+                     , CONT_COLOR=cont_color, CONT_NOFILL=cont_nofill $
+                     , OVERPLOT=overplot, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/fillcornermask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/fillcornermask.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/fillcornermask.pro	(revision 327)
@@ -24,7 +24,7 @@
 ;
 ;-
-PRO fillcornermask, xin, yin, COINMONTE = coinmonte, COINDESCEND = coindescend $
-                    , CONT_COLOR = cont_color, INDICEZOOM = indicezoom $
-                    , _EXTRA = ex
+PRO fillcornermask, xin, yin, COINMONTE=coinmonte, COINDESCEND=coindescend $
+                  , CONT_COLOR=cont_color, INDICEZOOM=indicezoom $
+                  , _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/section.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/section.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/section.pro	(revision 327)
@@ -46,8 +46,8 @@
 ;
 ;-
-PRO section, field, res, glamaxe, gphiaxe, ENDPOINTS = endpoints $
-             , BOXZOOM = boxzoom, TYPE = type, WDEPTH = wdepth $
-             , DIREC = direc, SHOWBUILD = showbuild, ONLYBOX = onlybox $
-             , _EXTRA = ex
+PRO section, field, res, glamaxe, gphiaxe, ENDPOINTS=endpoints $
+             , BOXZOOM=boxzoom, TYPE=type, WDEPTH=wdepth $
+             , DIREC=direc, SHOWBUILD=showbuild, ONLYBOX=onlybox $
+             , _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/tracecote.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/tracecote.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/tracecote.pro	(revision 327)
@@ -26,5 +26,5 @@
 ;
 ;-
-PRO tracecote, SURFACE_COASTLINE = surface_coastline, _EXTRA = ex
+PRO tracecote, SURFACE_COASTLINE=surface_coastline, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/tracemask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/tracemask.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/tracemask.pro	(revision 327)
@@ -39,5 +39,7 @@
 ;
 ;-
-PRO tracemask, maskentree, xin, yin, COAST_COLOR = coast_color, COAST_THICK = coast_thick, OVERPLOT = overplot, _EXTRA = ex
+PRO tracemask, maskentree, xin, yin $
+             , COAST_COLOR=coast_color, COAST_THICK=coast_thick $
+             , OVERPLOT=overplot, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/triangule.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/triangule.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/triangule.pro	(revision 327)
@@ -42,5 +42,6 @@
 ;
 ;-
-FUNCTION triangule, maskentree, BASIC = basic, COINMONTE = coinmonte, COINDESCEND = coindescend, _EXTRA = ex
+FUNCTION triangule, maskentree, BASIC=basic $
+                  , COINMONTE=coinmonte, COINDESCEND=coindescend, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/triangule_c.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/triangule_c.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/triangule_c.pro	(revision 327)
@@ -72,6 +72,9 @@
 ; seb L.267->268 je ne pense pas que ce soit ce que tu voulais dire mais
 ; c'est la traduction de ce qu'il y avait écrit. Correction si besoin.
+;
 ;-
-FUNCTION triangule_c, maskentree, COINMONTE = coinmonte, COINDESCEND = coindescend, BASIC = basic, KEEP_CONT = keep_cont
+FUNCTION triangule_c, maskentree $
+                    , COINMONTE=coinmonte, COINDESCEND=coindescend $
+                    , BASIC=basic, KEEP_CONT=keep_cont
 ;
 compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/triangule_e.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/triangule_e.pro	(revision 325)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/triangule_e.pro	(revision 327)
@@ -42,6 +42,6 @@
 ;-
 FUNCTION triangule_e, maskentree $
-                    , COINMONTE = coinmonte, COINDESCEND = coindescend $
-                    , SHIFTED = shifted, BASIC = basic
+                    , COINMONTE=coinmonte, COINDESCEND=coindescend $
+                    , SHIFTED=shifted, BASIC=basic
 ;
   compile_opt idl2, strictarrsubs