Index: trunk/SRC/Documentation/xmldoc/makefile
===================================================================
--- trunk/SRC/Documentation/xmldoc/makefile	(revision 348)
+++ trunk/SRC/Documentation/xmldoc/makefile	(revision 349)
@@ -85,4 +85,5 @@
 $(DIRWIKI)/GetSaxo \
 $(DIRWIKI)/WebSaxo \
+$(DIRWIKI)/WikiStart \
 $(DIRWIKI)/FaqSaxo \
 $(DIRWIKI)/FirstSteps \
@@ -102,5 +103,5 @@
 	@echo "\$$ ssh $(PRODUCT)@forge.ipsl.jussieu.fr rmdir -f /tmp/wiki/$(PRODUCT)/"
 
-$(DIRWIKI)/WebSaxo: \
+$(DIRWIKI)/WebSaxo : \
 $(DIRWWW)/websaxo.html
 	@echo "{{{" > $@
@@ -108,4 +109,17 @@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
 	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/websaxo.html \
+	>> $@
+	@echo "}}}" >> $@
+
+$(DIRWIKI)/WikiStart : \
+$(DIRWWW)/websaxo.html
+	@echo "{{{" > $@
+	@echo "#!html" >> $@
+	@xml sel -N x="http://www.w3.org/1999/xhtml" \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/websaxo.html | \
+	xml ed -N x="http://www.w3.org/1999/xhtml" \
+	-d "//x:div[@class='authorgroup']" \
+	-d "//x:div[@class='revhistory']" \
+	-d "//x:div[@class='toc']" \
 	>> $@
 	@echo "}}}" >> $@
Index: trunk/SRC/Documentation/xmldoc/wiki/AllPlots
===================================================================
--- trunk/SRC/Documentation/xmldoc/wiki/AllPlots	(revision 348)
+++ trunk/SRC/Documentation/xmldoc/wiki/AllPlots	(revision 349)
@@ -4,5 +4,5 @@
       <div class="author"><h3 class="author"><span class="firstname">SÃ©bastien</span> <span class="surname">Masson</span> <code class="email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
       <div class="author"><h3 class="author"><span class="firstname">FranÃ§oise</span> <span class="surname">Pinsard</span> <code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
-    </div></div><div><span class="pubdate">svn Id of xml source file : $Id: firststeps.xml 345 2008-04-16 09:15:20Z pinsard $<br/><br/></span></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr>
+    </div></div><div><span class="pubdate">svn Id of xml source file : $Id: all_plots.html 348 2008-04-16 13:02:27Z pinsard $<br/><br/></span></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr>
       <tr><td align="left">Revision 0.0</td><td align="left">29 July 2005</td></tr><tr><td align="left" colspan="2">First draft</td></tr>
       <tr><td align="left">Revision 0.1</td><td align="left">29 August 2005</td></tr><tr><td align="left" colspan="2">last Japanese version!</td></tr>
Index: trunk/SRC/Documentation/xmldoc/wiki/GetSaxo
===================================================================
--- trunk/SRC/Documentation/xmldoc/wiki/GetSaxo	(revision 348)
+++ trunk/SRC/Documentation/xmldoc/wiki/GetSaxo	(revision 349)
@@ -4,5 +4,5 @@
       <div class="author"><h3 class="author"><span class="firstname">SÃ©bastien</span> <span class="surname">Masson</span> <code class="email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
       <div class="author"><h3 class="author"><span class="firstname">FranÃ§oise</span> <span class="surname">Pinsard</span> <code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></h3></div>
-    </div></div><div><span class="pubdate">svn Id of xml source file : $Id: getsaxo.xml 345 2008-04-16 09:15:20Z pinsard $<br/><br/></span></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr>
+    </div></div><div><span class="pubdate">svn Id of xml source file : $Id: getsaxo.html 348 2008-04-16 13:02:27Z pinsard $<br/><br/></span></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr>
       <tr><td align="left">Revision 0.0</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr>
       <tr><td align="left">Revision 0.1</td><td align="left">April 2008</td></tr><tr><td align="left" colspan="2">migration from DocBook 4.2 to Docbook 5.0</td></tr>
Index: trunk/SRC/Documentation/xmldoc/wiki/WikiStart
===================================================================
--- trunk/SRC/Documentation/xmldoc/wiki/WikiStart	(revision 349)
+++ trunk/SRC/Documentation/xmldoc/wiki/WikiStart	(revision 349)
@@ -0,0 +1,198 @@
+{{{
+#!html
+<?xml version="1.0"?>
+<div xmlns="http://www.w3.org/1999/xhtml" class="article" lang="en" xml:lang="en">
+  <div class="titlepage">
+    <div>
+      <div>
+        <h2 class="title"><a name="websaxo" id="websaxo"/>Main page of SAXO</h2>
+      </div>
+      <div/>
+      <div>
+        <span class="pubdate">svn Id of xml source file : $Id: websaxo.xml 345 2008-04-16 09:15:20Z pinsard $<br/><br/></span>
+      </div>
+      <div/>
+    </div>
+    <hr/>
+  </div>
+  <div class="note" style="margin-left: 0.5in; margin-right: 0.5in;">
+    <h3 class="title">Note</h3>
+    <p>
+This page is a mirror of <a href="http://forge.ipsl.jussieu.fr/saxo" target="_top">SAXO web page</a> and allows you to browse SAXO help pages in local.
+  </p>
+  </div>
+  <div class="sect1" lang="en" xml:lang="en">
+    <div class="titlepage">
+      <div>
+        <div>
+          <h2 class="title" style="clear: both"><a name="whatissaxo" id="whatissaxo"/>1.&#xA0;What is SAXO</h2>
+        </div>
+      </div>
+    </div>
+    <p><a name="whatissaxo_for_main" id="whatissaxo_for_main"/>
+SAXO is a package (~400 routines, ~60 000 code lines) used to easily and quickly visualize and analyze models outputs or data observations.
+It is based on <a href="http://www.ittvis.com/idl/" target="_top"><span class="trademark">IDL</span>&#x2122;</a> and contains a Graphic User Interface.
+Developed in collaboration with <a href="http://www.locean-ipsl.upmc.fr/" target="_top">LOCEAN</a> researchers, it allows to explore four dimension data which may be gridded or irregularly spaced.
+It is particularly adapted to the &#x201C;<span class="quote">Arakawa C grid</span>&#x201D; discretization used in <a href="http://www.locean-ipsl.upmc.fr/NEMO/" target="_top">NEMO</a>.
+In addition to graphical procedures, interpolation modules and other things &#x2026;, it contains a set of programs dedicated to oceanographic diagnostics.
+</p>
+    <p>
+      <a href="./whatissaxo.html" target="_top">More &#x2026;</a>
+    </p>
+  </div>
+  <div class="sect1" lang="en" xml:lang="en">
+    <div class="titlepage">
+      <div>
+        <div>
+          <h2 class="title" style="clear: both"><a name="whatsnew" id="whatsnew"/>2.&#xA0;What's new</h2>
+        </div>
+      </div>
+    </div>
+    <div class="itemizedlist">
+      <ul type="disc">
+        <li>
+          <p>September 2006: One <span class="bold"><strong>unique online_help</strong></span> for IDL and SAXO (requires IDL 6.2 or higher).</p>
+        </li>
+        <li>
+          <p>Summer 2006: <span class="bold"><strong>English translation</strong></span> of headers, add <span class="bold"><strong>pltv</strong></span> and <span class="bold"><strong>documentation of xxx</strong></span>.</p>
+        </li>
+        <li>
+          <p>
+March 2006-May 2006 : migration of <span class="bold"><strong>obsolete</strong></span> CVS repository + S&#xE9;bastien Masson improvements in a beautiful &#x201C;<span class="quote"><span class="application">trac</span>+<span class="application">svn</span></span>&#x201D; project.
+</p>
+        </li>
+        <li>
+          <p>
+More details in <a href="./whatsnew.html" target="_top">What's new in SAXO</a>
+</p>
+        </li>
+      </ul>
+    </div>
+  </div>
+  <div class="sect1" lang="en" xml:lang="en">
+    <div class="titlepage">
+      <div>
+        <div>
+          <h2 class="title" style="clear: both"><a name="getsaxo" id="getsaxo"/>3.&#xA0;
+Get SAXO
+</h2>
+        </div>
+      </div>
+    </div>
+    <div class="itemizedlist">
+      <ul type="disc">
+        <li>
+          <p><a href="./getsaxo.html" target="_top">Get</a> SAXO
+</p>
+        </li>
+        <li>
+          <p><a href="./updatesaxo.html" target="_top">Update</a> SAXO
+</p>
+        </li>
+        <li>
+          <p><a href="http://forge.ipsl.jussieu.fr/saxo/browser/trunk" target="_top">Browse</a> SAXO
+</p>
+        </li>
+      </ul>
+    </div>
+  </div>
+  <div class="sect1" lang="en" xml:lang="en">
+    <div class="titlepage">
+      <div>
+        <div>
+          <h2 class="title" style="clear: both"><a name="support" id="support"/>4.&#xA0;Support</h2>
+        </div>
+      </div>
+    </div>
+    <div class="itemizedlist">
+      <ul type="disc">
+        <li>
+          <p>
+You like SAXO? Please subscribe to SAXO <a href="./mailing.html" target="_top">mailing lists</a> (subscription and archives).
+</p>
+        </li>
+        <li>
+          <p><a href="http://forge.ipsl.jussieu.fr/saxo/report" target="_top">Read</a> tickets. Because of abusive use of our tickets, <a href="http://forge.ipsl.jussieu.fr/saxo/newticket" target="_top">sending tickets</a> is now limited to a registered login accessible if you subscribe to <a href="./mailing.html" target="_top">SAXO mailing lists</a>.
+</p>
+        </li>
+        <li>
+          <p>
+            <a href="./faqsaxo.html" target="_top">FAQ</a>
+          </p>
+        </li>
+      </ul>
+    </div>
+  </div>
+  <div class="sect1" lang="en" xml:lang="en">
+    <div class="titlepage">
+      <div>
+        <div>
+          <h2 class="title" style="clear: both"><a name="documentation" id="documentation"/>5.&#xA0;Documentation</h2>
+        </div>
+      </div>
+    </div>
+    <p><a href="./firststeps.html" target="_top">First Steps</a> with SAXO. See also plots of First Steps in <a href="./all_plots.html" target="_top">All plots</a>
+</p>
+    <p>
+A short overview and <a href="./mini_notice.html" target="_top">documentation of xxx widget</a> is now available.
+</p>
+    <p>
+A complete and convenient description of all SAXO routines can be found in the <a href="../idldoc_html_output/index.html" target="_top">web pages created by <span class="application">IDLdoc</span></a>.
+</p>
+    <p>
+Some useful <a href="./tiplink.html" target="_top">Tips and links</a>.
+</p>
+  </div>
+  <div class="sect1" lang="en" xml:lang="en">
+    <div class="titlepage">
+      <div>
+        <div>
+          <h2 class="title" style="clear: both"><a name="saxoteam" id="saxoteam"/>6.&#xA0;SAXO team</h2>
+        </div>
+      </div>
+    </div>
+    <div class="variablelist">
+      <dl>
+        <dt>
+          <span class="term">
+S&#xE9;bastien Masson
+</span>
+        </dt>
+        <dd>
+
+Author
+
+</dd>
+        <dt>
+          <span class="term">
+Cl&#xE9;ment De Boyer Mont&#xE9;gut
+</span>
+        </dt>
+        <dd>
+
+Co-author
+
+</dd>
+        <dt>
+          <span class="term">
+Fran&#xE7;oise Pinsard
+</span>
+        </dt>
+        <dd>
+
+Project owner (trac, mailman and svn)
+
+</dd>
+        <dt>
+          <span class="term">
+Olivier Thauvin
+</span>
+        </dt>
+        <dd><a href="http://forge.ipsl.jussieu.fr/" target="_top">IPSL forge</a> maintainer
+
+</dd>
+      </dl>
+    </div>
+  </div>
+</div>
+}}}