Index: trunk/SRC/Documentation/xmldoc/makefile
===================================================================
--- trunk/SRC/Documentation/xmldoc/makefile	(revision 349)
+++ trunk/SRC/Documentation/xmldoc/makefile	(revision 350)
@@ -104,13 +104,16 @@
 
 $(DIRWIKI)/WebSaxo : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/websaxo.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/websaxo.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/websaxo.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@
 
 $(DIRWIKI)/WikiStart : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/websaxo.html
 	@echo "{{{" > $@
@@ -118,4 +121,5 @@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
 	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/websaxo.html | \
+	sed -f $(DIRSRC)/linkwiki.sed | \
 	xml ed -N x="http://www.w3.org/1999/xhtml" \
 	-d "//x:div[@class='authorgroup']" \
@@ -148,10 +152,12 @@
 	$(DIRSRC)/websaxo.xml
 
-$(DIRWIKI)/FaqSaxo: \
+$(DIRWIKI)/FaqSaxo : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/faqsaxo.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/faqsaxo.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/faqsaxo.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@
@@ -181,9 +187,11 @@
 
 $(DIRWIKI)/GetSaxo : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/getsaxo.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/getsaxo.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/getsaxo.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@
@@ -215,9 +223,11 @@
 
 $(DIRWIKI)/FirstSteps : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/firststeps.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/firststeps.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/firststeps.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@
@@ -238,9 +248,11 @@
 
 $(DIRWIKI)/AllPlots : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/all_plots.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/all_plots.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/all_plots.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@
@@ -282,9 +294,11 @@
 
 $(DIRWIKI)/Mailing : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/mailing.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/mailing.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/mailing.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@
@@ -314,9 +328,11 @@
 
 $(DIRWIKI)/MiniNotice : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/mini_notice.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/mini_notice.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/mini_notice.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@
@@ -346,9 +362,11 @@
 
 $(DIRWIKI)/TipLink : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/tiplink.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/tiplink.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/tiplink.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@
@@ -378,9 +396,11 @@
 
 $(DIRWIKI)/InfoUpdateCm : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/infoupdatecm.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/infoupdatecm.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/infoupdatecm.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@
@@ -411,9 +431,11 @@
 
 $(DIRWIKI)/InfoUpdateKwd : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/infoupdatekwd.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/infoupdatekwd.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/infoupdatekwd.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@
@@ -461,9 +483,11 @@
 
 $(DIRWIKI)/WhatisSaxo : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/whatissaxo.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/whatissaxo.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/whatissaxo.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@
@@ -493,9 +517,11 @@
 
 $(DIRWIKI)/WhatsNew : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/whatsnew.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/whatsnew.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/whatsnew.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@
@@ -525,9 +551,11 @@
 
 $(DIRWIKI)/UpdateSaxo : \
+$(DIRSRC)/linkwiki.sed \
 $(DIRWWW)/updatesaxo.html
 	@echo "{{{" > $@
 	@echo "#!html" >> $@
 	@xml sel -N x="http://www.w3.org/1999/xhtml" \
-	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/updatesaxo.html \
+	-t -m "//x:div[@class='article']" -c . -n $(DIRWWW)/updatesaxo.html | \
+	sed -f $(DIRSRC)/linkwiki.sed \
 	>> $@
 	@echo "}}}" >> $@