Index: trunk/SRC/Colors/colorbar.pro
===================================================================
--- trunk/SRC/Colors/colorbar.pro	(revision 357)
+++ trunk/SRC/Colors/colorbar.pro	(revision 358)
@@ -55,5 +55,5 @@
 ; Force to don't write title even if CB_TITLE is declared.
 ;
-; @keyword POSITION {default=see bellow}
+; @keyword POSITION {default=see below}
 ; A four-element array of normalized coordinates in the same
 ; form as the POSITION keyword on a plot. Default is
Index: trunk/SRC/Interpolation/file_interp.pro
===================================================================
--- trunk/SRC/Interpolation/file_interp.pro	(revision 357)
+++ trunk/SRC/Interpolation/file_interp.pro	(revision 358)
@@ -72,5 +72,5 @@
 ; determined through <pro>ncdf_getmask</pro> according to the keywords
 ; outmaskname, outinvmask, outuseasmask, outmissing_value,
-; outaddscl_before (see bellow).
+; outaddscl_before (see below).
 ;
 ; @keyword KEEP {type=string array}{default=all variables}
Index: trunk/SRC/Interpolation/quadrilateral2square.pro
===================================================================
--- trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 357)
+++ trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 358)
@@ -12,5 +12,5 @@
 ; The mapping is done using perspective transformation which preserve
 ; lines in all orientations and permit quadrilateral to quadrilateral
-; mappings. see ref. bellow.
+; mappings. see ref. below.
 ;
 ; @categories
Index: trunk/SRC/Interpolation/square2quadrilateral.pro
===================================================================
--- trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 357)
+++ trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 358)
@@ -10,5 +10,5 @@
 ; The mapping is done using perspective transformation which preserve
 ; lines in all orientations and permit quadrilateral to quadrilateral
-; mappings. see ref. bellow.
+; mappings. see ref. below.
 ;
 ; @categories
Index: trunk/SRC/ReadWrite/ncdf_gettime.pro
===================================================================
--- trunk/SRC/ReadWrite/ncdf_gettime.pro	(revision 357)
+++ trunk/SRC/ReadWrite/ncdf_gettime.pro	(revision 358)
@@ -38,5 +38,5 @@
 ; @restrictions
 ; the calendar variable must have the units attribute
-; following the syntax bellow:
+; following the syntax below:
 ;
 ; time_counter:units = "seconds since 0001-01-01 00:00:00" ;
Index: trunk/SRC/ToBeReviewed/INIT/initorca2.pro
===================================================================
--- trunk/SRC/ToBeReviewed/INIT/initorca2.pro	(revision 357)
+++ trunk/SRC/ToBeReviewed/INIT/initorca2.pro	(revision 358)
@@ -1,5 +1,6 @@
 ;+
 ;
-; @todo seb
+; @todo
+; seb
 ;
 ;-
Index: trunk/SRC/ToBeReviewed/INIT/initorca2full.pro
===================================================================
--- trunk/SRC/ToBeReviewed/INIT/initorca2full.pro	(revision 357)
+++ trunk/SRC/ToBeReviewed/INIT/initorca2full.pro	(revision 358)
@@ -1,5 +1,6 @@
 ;+
 ;
-; @todo seb
+; @todo 
+; seb
 ;
 ;-
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro	(revision 357)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro	(revision 358)
@@ -53,8 +53,8 @@
 ;-
 PRO barrecouleur, colnumb, clbinf, clbsup, clbdiv $
-                  , NOCOLORBAR=nocolorbar, CB_TITLE=cb_title $
-                  , NOFILL=nofill, COLOR_c=color_c $
-                  , MIN=min, MAX=max, divisions=divisions $
-                  , CB_SUBTITLE=cb_subtitle, POST=post, _EXTRA=ex
+                , NOCOLORBAR=nocolorbar, CB_TITLE=cb_title $
+                , NOFILL=nofill, COLOR_c=color_c $
+                , MIN=min, MAX=max, DIVISIONS=divisions $
+                , CB_SUBTITLE=cb_subtitle, POST=post, _EXTRA=ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/STRING/getfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 357)
+++ trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 358)
@@ -51,5 +51,5 @@
 ;
 ;-
-FUNCTION getfile, filein, error=err $
+FUNCTION getfile, filein, ERROR=err $
                 , HELP=hlp, QUIET=quiet, LINES=lines, FIND=find
 ;