Index: /trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 367)
@@ -2,5 +2,6 @@
 ;
 ; @file_comments
-; Rather comparable to depth2level but here, the calculated level is in float.
+; Rather comparable to <pro>depth2level</pro> but here, the calculated level 
+; is in float.
 ; For example, the level 5.4 correspond to a depth equal
 ; to gdep[5]+.4*(gdep[6]-gdep[5])
Index: /trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 367)
@@ -52,5 +52,5 @@
 ; @keyword TEMPORALFIRST
 ; to force to perform first temporal
-; mean even if nan is activated (see SPATIALFIRST explanations...)
+; mean even if NAN is activated (see SPATIALFIRST explanations...)
 ;
 ; @keyword WDEPTH
Index: /trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 367)
@@ -2,5 +2,6 @@
 ;
 ; @file_comments
-; Allows to pass from a 2d level array to a 2d depth array corresponding to these levels
+; Allows to pass from a 2d level array to a 2d depth array corresponding to 
+; these levels
 ;
 ; @categories
@@ -8,5 +9,6 @@
 ;
 ; @param TAB {in}{required}{type=2d array}
-; 2d level array of sill levels (or a structure respecting <pro>litchamp</pro> criterions)
+; 2d level array of sill levels (or a structure respecting <pro>litchamp</pro> 
+; criterions)
 ;
 ; @keyword NOMASK
@@ -35,10 +37,11 @@
 @common
 ;------------------------------------------------------------
-; Reading of the input field  and recovery of the used subdomain's size
+; Reading of the input field and recovery of the used subdomain's size
 ;------------------------------------------------------------
    niveaux = litchamp(tab)
    grille,mask, -1, -1,gdep,nx,ny,nz,firstx,firsty,firstz,lastx,lasty,lastz
 ;---------------------------------------------------------------
-; verification of the coherence between array's size and the domain defined by domdef
+; verification of the coherence between array's size and the domain defined 
+; by domdef
 ;---------------------------------------------------------------
    taille = size(niveaux)
Index: /trunk/SRC/ToBeReviewed/CALCULS/level2index.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/level2index.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/CALCULS/level2index.pro	(revision 367)
@@ -5,5 +5,5 @@
 ; has been extract from a level specified by the 2d level array (typically,
 ; we want to obtain the salinity along an isopycn we have repered by its level).
-; level2index is a function who give, in function of level, a 2d indexes array
+; level2index is a function which give, in function of level, a 2d indexes array
 ; which will allow to extract the 2d array from the 3d array...
 ;
Index: /trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro	(revision 367)
@@ -41,5 +41,6 @@
    grille,maskterre, -1, -1, -1,nx,ny,nz,firstx,firsty,firstz,lastx,lasty,lastz
 ;---------------------------------------------------------------
-; verification of the coherence between the array's size and the defined by domdef domain
+; verification of the coherence between the array's size and the defined by 
+; domdef domain
 ;---------------------------------------------------------------
    IF ny EQ 1 THEN niveaux = reform(niveaux, nx, ny, /over)
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 367)
@@ -97,15 +97,15 @@
 ; corresponding to cases n. cf <pro>label</pro>
 ; Comment: When CONTOUR is activated, it only specify the label's type for colored isolines.
-; For these one traced by a trait, use CONTLABEL.
+; For these ones traced by a trait, use CONTLABEL.
 ;	
 ; @keyword MAP {default=Cylindrical projection}
 ; We use it when we want to do a projection.
 ; This keyword can be of two types:
-;     MAP=[P0lat,P0lon,Rot]. For the description of these 3 values (see the online help of <proidl>MAP_SET</proidl>).
+;     MAP=[P0lat,P0lon,Rot]. For the description of these 3 values (see the online help of <proidl>map_set</proidl>).
 ;     /MAP: In this case, map is automatically calculated have the value:
 ;          map = [0, (lon1+lon2)/2., 0]
 ; Comment: A good way to choose the type of the projection we want to do is to have a look at IDL demo:
 ; IDL> demo
-; Then choose "earth sciences and mappinA"g
+; Then choose "Mapping" and "Global Mapping Demo"
 ; Comment2: By default it is a cylindrical projection which is done (with or without the keyword map).
 ; If we want an other projection, MAP must be activated and we have to add the keyword: /nom_projection.
@@ -115,5 +115,5 @@
 ;
 ; @keyword LABMAP {default=labmap=1}
-; Corresponds to LABEL keyword of <proidl>MAP_SET</proidl>.
+; Corresponds to LABEL keyword of <proidl>map_set</proidl>.
 ;
 ; @keyword MAXIN
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro	(revision 367)
@@ -49,5 +49,5 @@
 ; @keyword ENDPOINTS
 ; keyword specifying that we want to make a vertical cut in diagonal.
-; Then coordinated of extremities of these one are defined by the 4 elements
+; Then coordinated of extremities of these ones are defined by the 4 elements
 ; of the vector ENDPOINTS: [x1,y1,x2,y2] which are coordinates.
 ;
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 367)
@@ -88,5 +88,5 @@
 ; @keyword ENDPOINTS
 ; keyword specifying that we want to make a vertical cut in diagonal. Then coordinated of extremities
-; of these one are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are
+; of these ones are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are
 ; coordinates.
 ;
@@ -112,5 +112,5 @@
 ; corresponding to cases n. cf <pro>label</pro>
 ; Comment: When CONTOUR is activated, it only specify the label's type for colored isolines.
-; For these one traced by a trait, use CONTLABEL.
+; For these ones traced by a trait, use CONTLABEL.
 ;
 ; @keyword COL1d
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 367)
@@ -71,5 +71,5 @@
 ; @keyword ENDPOINTS
 ; keyword specifying that we want to make a vertical cut in diagonal. Then coordinated of extremities
-; of these one are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are
+; of these ones are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are
 ; coordinates.
 ;
@@ -86,11 +86,11 @@
 ;
 ; @keyword ZRATIO {default=2./3}
-; When the drawing has a zoomed part, it is the size rapport between the zoomed part,
-; hz (zoom height), and the whole drawing, ht (total height).
+; When the drawing has a zoomed part, it is the size ratio between the zoomed 
+; part, hz (zoom height), and the whole drawing, ht (total height).
 ;
 ; @keyword LABEL {default=0}{type=integer}
 ; It choose the label's type corresponding to cases in <pro>label</pro>
 ; Comment: When CONTOUR is activated, it only specify the label's type for colored isolines.
-; For these one traced by a trait, use CONTLABEL.
+; For these ones traced by a trait, use CONTLABEL.
 ;
 ; @keyword MAXIN
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/axis4pltz.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/axis4pltz.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/axis4pltz.pro	(revision 367)
@@ -27,6 +27,6 @@
 ;
 ; @keyword ZRATIO {default=2./3}
-; When the drawing has a zoomed part, it is the size rapport between the zoomed part,
-; hz (zoom height), and the whole drawing, ht (total height).
+; When the drawing has a zoomed part, it is the size ratio between the zoomed 
+; part, hz (zoom height), and the whole drawing, ht (total height).
 ;
 ; @keyword _EXTRA
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 367)
@@ -12,7 +12,6 @@
 ;
 ; @param POSFENETRE {out}{type=vector}
-; It is a vector composed by 4 elements containing the position of the frame
 ; containing captions and the graph in normalized coordinates.
-; Comment: To position the drawing; we have to do !p.position=posfenetre
+; Comment: To position the drawing, we have to do !p.position=posfenetre
 ; after the call of the caliber
 ;
@@ -34,10 +33,10 @@
 ; We use it when we want to do a projection.
 ; This keyword can be of two types:
-;     MAP=[P0lat,P0lon,Rot]. For the description of these 3 values (see the online help of MAP_SET).
+;     MAP=[P0lat,P0lon,Rot]. For the description of these 3 values (see the online help of <proidl>map_set</proidl>).
 ;     /MAP: In this case, map is automatically calculated have the value:
 ;          map = [0, (lon1+lon2)/2., 0]
 ; Comment 1: A good way to choose the type of the projection we want to do is to have a look at IDL demo:
 ; IDL> demo
-; Then choose earth sciences and  mapping.
+; Then choose "Mapping" and "Global Mapping Demo"
 ; Comment 2: By default it is a cylindrical projection which is effectuated (with or without the keyword map).
 ; If we want an other projection, MAP must be activated and we have to add the keyword: /nom_projection.
@@ -66,5 +65,5 @@
 ; the drawing made in the box numbered small[2]. The numerotation starting up and left by
 ; the number 1 and then, following the writing direction.
-; By default, we make the largest drawing we can do, conserving the aspect rapport
+; By default, we make the largest drawing we can do, conserving the aspect ratio 
 ; (except when REMPLI is activated).
 ;
@@ -77,5 +76,5 @@
 ;
 ; @keyword REMPLI
-; Force the drawing to occupy the whole space defined by small.
+; Force the drawing to fill the whole space defined by small.
 ;
 ; @keyword WINDOW
@@ -94,5 +93,5 @@
 ; @keyword ENDPOINTS
 ; keyword specifying that we want to make a vertical cut in diagonal. Then coordinated of extremities
-; of these one are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are
+; of these ones are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are
 ; coordinates.
 ;
@@ -194,5 +193,5 @@
   ENDIF
 ;--------------------------------------------------------------
-; What type of aspect rapport (it will be crushed if YXASPECT exist)
+; What type of aspect ratio(it will be crushed if YXASPECT exist)
 ;--------------------------------------------------------------
   case typedessin of
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro	(revision 367)
@@ -22,5 +22,5 @@
 ; the drawing made in the box numbered small[2]. The numerotation starting up and left by
 ; the number 1 and then, following the writing direction.
-; By default, we make the largest drawing we can do, conserving the aspect rapport
+; By default, we make the largest drawing we can do, conserving the aspect ration 
 ; (except when REMPLI is activated).
 ;
Index: /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 367)
@@ -37,5 +37,5 @@
    cm_en_normal = 1./sizexfeuille
 ;
-; If the aspect rapport of the window is not equal to 1, the length in
+; If the aspect ratio of the window is not equal to 1, the length in
 ; normalized coordinates of  a trait of 1 cm vary following the polar
 ; angle of this trait.
Index: /trunk/SRC/ToBeReviewed/POSTSCRIPT/calibre.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/POSTSCRIPT/calibre.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/POSTSCRIPT/calibre.pro	(revision 367)
@@ -2,5 +2,5 @@
 ;
 ; @file_comments
-; From a rapport of aspect and values (in line of character) of different margins,
+; From a ration aspect and values (in line of character) of different margins,
 ; it calculate POSFENETRE and POSBAR which serve to place the drawing and the color
 ; bar thanks to !p.position on a leaf or a screen output whose the window has the same
@@ -32,7 +32,7 @@
 ; left bottom corner.
 ;    It is a vector made of 3 elements giving the number of column to be done in the
-; drawing, the number of line and the number of the case the number have to occupy
-; (see matlab). For example, to do 6 drawing in 3 columns and 2 lines and occupy
-; the 4th case, small=[2,3,4]
+; drawing, the number of line and the number of the case the number have to fill 
+; (see matlab). For example, to do 6 drawings in 3 columns and 2 lines and 
+; fill the 4th case, small=[2,3,4]
 ;
 ; @param posfenetre {type=vector}
@@ -46,15 +46,16 @@
 ;
 ; @keyword REMPLI
-; Force the drawing to occupy the biggest possible place defined by
-; SMALLDRAW without respect the rapport y on x.
+; Force the drawing to fill the biggest possible place defined by
+; SMALLDRAW without respect the y/x ratio.
 ;
 ; @keyword YXASPECT
-; Force the rapport y on x to take the value RAPPORTYX*YXASPECT.
+; Force the y/x ratio to take the value RAPPORTYX*YXASPECT.
 ; This keyword can be used in 2 cases:
-;   1) YXASPECT=1 : force RAPPORTYX to be respected otherwise, Calibre take the
-;   initiative to change it a little in the case of the aspect rapport of SMALL
+;   1) YXASPECT=1 : force RAPPORTYX to be respected otherwise, calibre take the
+;   initiative to change it a little in the case of the aspect ratio of SMALL
 ;   is too different of the one of SMALLDRAW.
-;   2) YXASPECT=n : multiply by n the aspect rapport given by default.
-;   For example in plt, RAPPORTYX is calculated to the reference be orthonormal,
+;   2) YXASPECT=n : multiply by n the aspect ratio given by default.
+;   For example in <proidl>plt</proidl>, RAPPORTYX is calculated to the 
+;   reference be orthonormal,
 ;   to have a reference where the y axis is 2 time bigger than the x one, YXASPECT=2.
 ;	
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.pro	(revision 366)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.pro	(revision 367)
@@ -18,5 +18,5 @@
 ; numbered small[2]. The numerotation starting up and left by the number 1 and then,
 ; following the writing direction. By default, we make the largest drawing we can do,
-; conserving the aspect rapport (except when REMPLI is activated).
+; conserving the aspect ratio (except when REMPLI is activated).
 ;
 ; @returns